
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBeforeLast("hi!", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!"+ "'", str2.equals("hi!"));

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    java.lang.CharSequence charSequence1 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"", charSequence1, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.FILE_ENCODING;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "UTF-8"+ "'", str0.equals("UTF-8"));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_VENDOR_URL;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "http://java.oracle.com/"+ "'", str0.equals("http://java.oracle.com/"));

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    double d1 = org.apache.commons.lang3.math.NumberUtils.toDouble("UTF-8");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isEmpty((java.lang.CharSequence)"");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_VERSION;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "1.7.0_55"+ "'", str0.equals("1.7.0_55"));

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    java.lang.Integer i0 = org.apache.commons.lang3.math.NumberUtils.INTEGER_MINUS_ONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i0 + "' != '" + (-1)+ "'", i0.equals((-1)));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.OS_NAME;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "Linux"+ "'", str0.equals("Linux"));

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    int i3 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"", (java.lang.CharSequence)"1.7.0_55", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("1.7.0_55");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "55_0.7.1"+ "'", str1.equals("55_0.7.1"));

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEnd("", "UTF-8");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.overlay("", "UTF-8", 0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "UTF-8"+ "'", str4.equals("UTF-8"));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.min((short)0, (short)0, (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)0);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"hi!", (java.lang.CharSequence)"http://java.oracle.com/");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_WINDOWS_2008;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.FILE_SEPARATOR;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "/"+ "'", str0.equals("/"));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    java.lang.CharSequence charSequence0 = null;
    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf(charSequence0, (-1), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitByCharacterType("");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array1, 'a', (-1), 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("UTF-8");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "UTF-8"+ "'", str1.equals("UTF-8"));

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_JAVA_1_1;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_IRIX;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"hi!", (java.lang.CharSequence)"http://java.oracle.com/");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_SUN_OS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"hi!", (java.lang.CharSequence)"1.7.0_55");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    java.lang.Byte byte0 = org.apache.commons.lang3.math.NumberUtils.BYTE_ZERO;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + byte0 + "' != '" + (byte)0+ "'", byte0.equals((byte)0));

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.USER_COUNTRY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "GB"+ "'", str0.equals("GB"));

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty("/");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "/"+ "'", str1.equals("/"));

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"http://java.oracle.com/", 10, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_MAC_OSX;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    java.lang.Double d0 = org.apache.commons.lang3.math.NumberUtils.DOUBLE_ONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + d0 + "' != '" + 1.0d+ "'", d0.equals(1.0d));

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Float f1 = org.apache.commons.lang3.math.NumberUtils.createFloat("Linux");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_WINDOWS_2000;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_VM_INFO;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "mixed mode"+ "'", str0.equals("mixed mode"));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"hi!", (java.lang.CharSequence)"100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.left("", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    java.io.File file0 = org.apache.commons.lang3.SystemUtils.getJavaIoTmpDir();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(file0);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_LINUX;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == true);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    java.lang.String str0 = org.apache.commons.lang3.StringUtils.EMPTY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + ""+ "'", str0.equals(""));

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStartIgnoreCase("100.0", "1.7.0_55");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "100.0"+ "'", str2.equals("100.0"));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    java.lang.Object[] obj_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(obj_array0, 'a', 0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"http://java.oracle.com/", 1, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substring("/", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.apache.commons.lang3.math.NumberUtils numberUtils0 = new org.apache.commons.lang3.math.NumberUtils();

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_UNIX;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == true);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphaSpace((java.lang.CharSequence)"Linux");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("/", 0, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "/"+ "'", str3.equals("/"));

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    short s2 = org.apache.commons.lang3.math.NumberUtils.toShort("http://java.oracle.com/", (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)100);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_WINDOWS_2003;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_AWT_GRAPHICSENV;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "sun.awt.X11GraphicsEnvironment"+ "'", str0.equals("sun.awt.X11GraphicsEnvironment"));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    double d1 = org.apache.commons.lang3.math.NumberUtils.toDouble("a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.max(100.0d, 1.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 100.0d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    java.lang.Long long0 = org.apache.commons.lang3.math.NumberUtils.LONG_ZERO;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + long0 + "' != '" + 0L+ "'", long0.equals(0L));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBetween("hi!", "/");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_JAVA_1_6;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfAnyBut((java.lang.CharSequence)"hi!", (java.lang.CharSequence)"55_0.7.1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.split("", 'a');
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 'a' };
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(obj_array3);
    java.lang.String str6 = org.apache.commons.lang3.StringUtils.join(obj_array3, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "a"+ "'", str4.equals("a"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "a"+ "'", str6.equals("a"));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfter("100", "1.7.0_55");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.min((byte)10, (byte)100, (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)1);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.OS_ARCH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "amd64"+ "'", str0.equals("amd64"));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("sun.awt.X11GraphicsEnvironment", (-1), "100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "sun.awt.X11GraphicsEnvironment"+ "'", str3.equals("sun.awt.X11GraphicsEnvironment"));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_VM_SPECIFICATION_NAME;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "Java Virtual Machine Specification"+ "'", str0.equals("Java Virtual Machine Specification"));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"amd64");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat(' ', (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"UTF-8", 10, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEnd("/", "100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "/"+ "'", str2.equals("/"));

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"1.7.0_55", (java.lang.CharSequence)"UTF-8");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isEmpty((java.lang.CharSequence)"hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.PATH_SEPARATOR;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + ":"+ "'", str0.equals(":"));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    int i2 = org.apache.commons.lang3.math.NumberUtils.toInt("55_0.7.1", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.min(10.0d, 10.0d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.0d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_JAVA_1_2;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("UTF-8", 100, "a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"+ "'", str3.equals("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("100.0", "55_0.7.1", "100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.strip("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hi!"+ "'", str1.equals("hi!"));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"1.7.0_55", 100, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_JAVA_1_3;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("mixed mode");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "mixed mode"+ "'", str1.equals("mixed mode"));

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    java.io.File file0 = org.apache.commons.lang3.SystemUtils.getJavaHome();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(file0);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    float f2 = org.apache.commons.lang3.math.NumberUtils.toFloat("1.7.0_55", 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfBlank((java.lang.CharSequence)"100.0", (java.lang.CharSequence)"100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "100.0"+ "'", charSequence2.equals("100.0"));

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitByCharacterType("");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array1, 'a', (-1), 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_RUNTIME_NAME;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "Java(TM) SE Runtime Environment"+ "'", str0.equals("Java(TM) SE Runtime Environment"));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_WINDOWS_ME;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("hi!", "mixed mode");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!"+ "'", str2.equals("hi!"));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.containsWhitespace((java.lang.CharSequence)"http://java.oracle.com/");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfter("Java Virtual Machine Specification", "Java(TM) SE Runtime Environment");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    java.lang.Short s0 = org.apache.commons.lang3.math.NumberUtils.SHORT_ZERO;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + s0 + "' != '" + (short)0+ "'", s0.equals((short)0));

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"Java(TM) SE Runtime Environment", (java.lang.CharSequence)"1.7.0_55");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.endsWith((java.lang.CharSequence)"100", (java.lang.CharSequence)"10.0a0.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.right("hi!", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!"+ "'", str2.equals("hi!"));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    java.lang.Byte byte0 = org.apache.commons.lang3.math.NumberUtils.BYTE_ONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + byte0 + "' != '" + (byte)1+ "'", byte0.equals((byte)1));

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    float f1 = org.apache.commons.lang3.math.NumberUtils.toFloat("a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"GB", (java.lang.CharSequence)"Linux");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"mixed mode", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat("55_0.7.1", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "55_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.1"+ "'", str2.equals("55_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.1"));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"100", (java.lang.CharSequence)"1.7.0_55", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_HOME;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "/usr/local/packages6/java/jdk1.7.0_55/jre"+ "'", str0.equals("/usr/local/packages6/java/jdk1.7.0_55/jre"));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    java.io.File file0 = org.apache.commons.lang3.SystemUtils.getUserHome();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(file0);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isDigits("100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.min((short)0, (short)0, (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)0);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    int[] i_array1 = new int[] { 100 };
    java.lang.String str3 = org.apache.commons.lang3.StringUtils.join(i_array1, '#');
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(i_array1, '4', (-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "100"+ "'", str3.equals("100"));

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_WINDOWS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    int[] i_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.apache.commons.lang3.math.NumberUtils.max(i_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.USER_LANGUAGE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "en"+ "'", str0.equals("en"));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    double[] d_array0 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.lang3.math.NumberUtils.max(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat('a', 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "aaaaaaaaaa"+ "'", str2.equals("aaaaaaaaaa"));

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat("mixed mode", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "mixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed mode"+ "'", str2.equals("mixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed mode"));

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"mixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed mode", (java.lang.CharSequence)"1", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test110() {}
// Defects4J: flaky method
//   @Test
//   public void test110() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }
// 
// 
//     java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_CLASS_PATH;
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str0 + "' != '" + "/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732/target/classes:/data/ac1gf/defects4j/framework/lib/test_generation/generation/randoop-current.jar"+ "'", str0.equals("/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732/target/classes:/data/ac1gf/defects4j/framework/lib/test_generation/generation/randoop-current.jar"));
// 
//   }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    java.lang.String str0 = org.apache.commons.lang3.StringUtils.SPACE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + " "+ "'", str0.equals(" "));

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_NET_BSD;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equals((java.lang.CharSequence)"amd64", (java.lang.CharSequence)"");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWithIgnoreCase((java.lang.CharSequence)"1.7.0_55", (java.lang.CharSequence)"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"Java(TM) SE Runtime Environment", "1.7.0_55");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.max((byte)(-1), (byte)1, (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)1);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replacePattern("1.7.0_55", "sun.awt.X11GraphicsEnvironment", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1.7.0_55"+ "'", str3.equals("1.7.0_55"));

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"mixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed mode", (java.lang.CharSequence)" ", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 5);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Integer i1 = org.apache.commons.lang3.math.NumberUtils.createInteger("55_0.7.1");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    java.lang.Long long0 = org.apache.commons.lang3.math.NumberUtils.LONG_ONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + long0 + "' != '" + 1L+ "'", long0.equals(1L));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.LINE_SEPARATOR;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "\n"+ "'", str0.equals("\n"));

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    java.lang.Short s0 = org.apache.commons.lang3.math.NumberUtils.SHORT_MINUS_ONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + s0 + "' != '" + (short)(-1)+ "'", s0.equals((short)(-1)));

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.center("10.0a0.0", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "10.0a0.0"+ "'", str2.equals("10.0a0.0"));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.upperCase("http://java.oracle.com/", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty("en");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "en"+ "'", str1.equals("en"));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Long long1 = org.apache.commons.lang3.math.NumberUtils.createLong("a");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"GB", (java.lang.CharSequence)"a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    short s2 = org.apache.commons.lang3.math.NumberUtils.toShort("/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732/target/classes:/data/ac1gf/defects4j/framework/lib/test_generation/generation/randoop-current.jar", (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)10);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732/target/classes:/data/ac1gf/defects4j/framework/lib/test_generation/generation/randoop-current.jar" };
    java.lang.String[] str_array5 = org.apache.commons.lang3.StringUtils.split("", 'a');
    int i6 = org.apache.commons.lang3.StringUtils.indexOfDifference((java.lang.CharSequence[])str_array5);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.replaceEach("", str_array2, str_array5);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array5, '#', (-1), 5);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)" ", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    java.lang.CharSequence charSequence1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.startsWithIgnoreCase((java.lang.CharSequence)"mixed mode", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle(":", ":", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ":"+ "'", str3.equals(":"));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    java.lang.Double d0 = org.apache.commons.lang3.math.NumberUtils.DOUBLE_ZERO;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + d0 + "' != '" + 0.0d+ "'", d0.equals(0.0d));

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    byte byte2 = org.apache.commons.lang3.math.NumberUtils.toByte("/", (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)0);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("amd64", '4', '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "amd64"+ "'", str3.equals("amd64"));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.swapCase("/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732/target/classes:/data/ac1gf/defects4j/framework/lib/test_generation/generation/randoop-current.jar");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR"+ "'", str1.equals("/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR"));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBetween("http://java.oracle.com/", "en");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumeric((java.lang.CharSequence)"mixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed mode");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"Linux", (java.lang.CharSequence)"Java Virtual Machine Specification");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("", 1, "GB");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "G"+ "'", str3.equals("G"));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    float[] f_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(f_array0, '4', 0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("aaaaaaaaaa", 0, "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "aaaaaaaaaa"+ "'", str3.equals("aaaaaaaaaa"));

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    int i2 = org.apache.commons.lang3.math.NumberUtils.toInt("a", 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("Java(TM) SE Runtime Environment", 5, "mixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed mode");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Java(TM) SE Runtime Environment"+ "'", str3.equals("Java(TM) SE Runtime Environment"));

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("/");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("1.7.0_55");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1.7.0_55"+ "'", str1.equals("1.7.0_55"));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removePattern("/", "Linux");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "/"+ "'", str2.equals("/"));

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    java.lang.CharSequence charSequence1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)":", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    float[] f_array0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(f_array0, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.repeat("", "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllLowerCase((java.lang.CharSequence)"100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.chomp("100.0", "100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "100.0"+ "'", str2.equals("100.0"));

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.max((short)1, (short)0, (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)100);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumericSpace((java.lang.CharSequence)"hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    java.lang.Float f1 = org.apache.commons.lang3.math.NumberUtils.createFloat("100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + f1 + "' != '" + 100.0f+ "'", f1.equals(100.0f));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripStart("", "aaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("UTF-8", "10.0a0.0", "55_0.7.1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "UTF-8"+ "'", str3.equals("UTF-8"));

  }

  @Test
  public void test158() {}
// Defects4J: flaky method
//   @Test
//   public void test158() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }
// 
// 
//     java.lang.String str0 = org.apache.commons.lang3.SystemUtils.USER_DIR;
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str0 + "' != '" + "/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732"+ "'", str0.equals("/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732"));
// 
//   }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_FREE_BSD;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.USER_TIMEZONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + ""+ "'", str0.equals(""));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_SPECIFICATION_VENDOR;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "Oracle Corporation"+ "'", str0.equals("Oracle Corporation"));

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isBlank((java.lang.CharSequence)"/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min((-1), 5, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_VM_NAME;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "Java HotSpot(TM) 64-Bit Server VM"+ "'", str0.equals("Java HotSpot(TM) 64-Bit Server VM"));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_AWT_FONTS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str0);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.replace("1.7.0_55", "1", "Oracle Corporation", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Oracle Corporation.7.0_55"+ "'", str4.equals("Oracle Corporation.7.0_55"));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"en", (java.lang.CharSequence)"Java Virtual Machine Specification", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat('a', (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isNumber("Java Virtual Machine Specification");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_AIX;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    short s2 = org.apache.commons.lang3.math.NumberUtils.toShort("", (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)100);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("", "10.0a0.0", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.normalizeSpace("Linux");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Linux"+ "'", str1.equals("Linux"));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    float[] f_array0 = new float[] {  };
    // The following exception was thrown during execution in test generation
    try {
      float f1 = org.apache.commons.lang3.math.NumberUtils.max(f_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStartIgnoreCase("G", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "G"+ "'", str2.equals("G"));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.difference("/", "sun.awt.X11GraphicsEnvironment");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "sun.awt.X11GraphicsEnvironment"+ "'", str2.equals("sun.awt.X11GraphicsEnvironment"));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    java.lang.Short s0 = org.apache.commons.lang3.math.NumberUtils.SHORT_ONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + s0 + "' != '" + (short)1+ "'", s0.equals((short)1));

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_WINDOWS_95;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test179() {}
// Defects4J: flaky method
//   @Test
//   public void test179() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }
// 
// 
//     java.lang.String str0 = org.apache.commons.lang3.SystemUtils.USER_HOME;
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str0 + "' != '" + "/home/ac1gf"+ "'", str0.equals("/home/ac1gf"));
// 
//   }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    byte[] byte_array3 = new byte[] { (byte)1, (byte)(-1), (byte)10 };
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(byte_array3, 'a', 100, 0);
    byte byte8 = org.apache.commons.lang3.math.NumberUtils.max(byte_array3);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = org.apache.commons.lang3.StringUtils.toString(byte_array3, "mixed mode");
      org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException");
    } catch (java.io.UnsupportedEncodingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.UnsupportedEncodingException")) {
        org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte8 == (byte)10);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.center("G", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "    G     "+ "'", str2.equals("    G     "));

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_OS2;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    byte[] byte_array3 = new byte[] { (byte)1, (byte)(-1), (byte)10 };
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(byte_array3, 'a', 100, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = org.apache.commons.lang3.StringUtils.toString(byte_array3, "Linux");
      org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException");
    } catch (java.io.UnsupportedEncodingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.UnsupportedEncodingException")) {
        org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.min(0.0d, (-1.0d), 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.OS_VERSION;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "2.6.32-573.3.1.el6.x86_64"+ "'", str0.equals("2.6.32-573.3.1.el6.x86_64"));

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trimToNull("GB");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "GB"+ "'", str1.equals("GB"));

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)" ", (java.lang.CharSequence)"mixed mode");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.capitalize("amd64");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Amd64"+ "'", str1.equals("Amd64"));

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("UTF-8", '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "UTF-8"+ "'", str2.equals("UTF-8"));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.max(10.0d, 0.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 100.0d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.center("1.7.0_55", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + " 1.7.0_55 "+ "'", str2.equals(" 1.7.0_55 "));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    double d2 = org.apache.commons.lang3.math.NumberUtils.toDouble("a", 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.0d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_VENDOR;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "Oracle Corporation"+ "'", str0.equals("Oracle Corporation"));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_WINDOWS_8;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    java.lang.Float f0 = org.apache.commons.lang3.math.NumberUtils.FLOAT_MINUS_ONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + f0 + "' != '" + (-1.0f)+ "'", f0.equals((-1.0f)));

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732/target/classes:/data/ac1gf/defects4j/framework/lib/test_generation/generation/randoop-current.jar", (java.lang.CharSequence)"a", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 4);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    double d2 = org.apache.commons.lang3.math.NumberUtils.toDouble("http://java.oracle.com/", 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.0d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR"+ "'", str1.equals("/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR"));

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    double d1 = org.apache.commons.lang3.math.NumberUtils.toDouble("GB");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isDigits("/");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumeric((java.lang.CharSequence)"2.6.32-573.3.1.el6.x86_64");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripAccents("55_0.7.1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "55_0.7.1"+ "'", str1.equals("55_0.7.1"));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_UTIL_PREFS_PREFERENCES_FACTORY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str0);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    java.lang.Object[] obj_array0 = null;
    java.lang.String str1 = org.apache.commons.lang3.StringUtils.join(obj_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str1);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"", (java.lang.CharSequence)"Linux");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    org.apache.commons.lang3.SystemUtils systemUtils0 = new org.apache.commons.lang3.SystemUtils();

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars(" 1.7.0_55 ", '#', 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + " 1.7.0_55 "+ "'", str3.equals(" 1.7.0_55 "));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.upperCase("/home/ac1gf");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "/HOME/AC1GF"+ "'", str1.equals("/HOME/AC1GF"));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.min((byte)0, (byte)10, (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)0);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"    G     ", (java.lang.CharSequence)"10.0a0.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    byte[] byte_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.toString(byte_array0, "/home/ac1gf");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.uncapitalize("\n");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\n"+ "'", str1.equals("\n"));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.lowerCase("55_0.7.1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "55_0.7.1"+ "'", str1.equals("55_0.7.1"));

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.leftPad("10.0a0.0", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "10.0a0.0"+ "'", str2.equals("10.0a0.0"));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfterLast("/", "/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("55_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.1", 0, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "55_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.1"+ "'", str3.equals("55_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.1"));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    long long3 = org.apache.commons.lang3.math.NumberUtils.min(100L, 1L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == (-1L));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    java.lang.CharSequence charSequence0 = null;
    int i2 = org.apache.commons.lang3.StringUtils.indexOfAnyBut(charSequence0, (java.lang.CharSequence)"Oracle Corporation");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfBlank((java.lang.CharSequence)"mixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed mode", (java.lang.CharSequence)":");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "mixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed mode"+ "'", charSequence2.equals("mixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed mode"));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trimToNull("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str1);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    int i2 = org.apache.commons.lang3.StringUtils.countMatches((java.lang.CharSequence)":", (java.lang.CharSequence)"\n");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripAccents("UTF-8");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "UTF-8"+ "'", str1.equals("UTF-8"));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"/usr/local/packages6/java/jdk1.7.0_55/jre", "55_0.7.1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 29);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_ENDORSED_DIRS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "/usr/local/packages6/java/jdk1.7.0_55/jre/lib/endorsed"+ "'", str0.equals("/usr/local/packages6/java/jdk1.7.0_55/jre/lib/endorsed"));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.abbreviate("mixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed modemixed mode", (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("55_0.7.1", 29, " 1.7.0_55 ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + " 1.7.0_55  1.7.0_55  55_0.7.1"+ "'", str3.equals(" 1.7.0_55  1.7.0_55  55_0.7.1"));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Integer i1 = org.apache.commons.lang3.math.NumberUtils.createInteger("10.0a0.0");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("", "Oracle Corporation.7.0_55", "/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR", (java.lang.CharSequence)" ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlpha((java.lang.CharSequence)"1.7.0_55");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.reverseDelimited("/HOME/AC1GF", ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "/HOME/AC1GF"+ "'", str2.equals("/HOME/AC1GF"));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"2.6.32-573.3.1.el6.x86_64", (java.lang.CharSequence)"aaaaaaaaaa", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    byte[] byte_array2 = new byte[] { (byte)0, (byte)10 };
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = org.apache.commons.lang3.StringUtils.join(byte_array2, '4', (-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.substringsBetween("en", "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa", "100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str_array3);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isWhitespace((java.lang.CharSequence)"1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b1 = org.apache.commons.lang3.StringUtils.isAllLowerCase(charSequence0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    long long3 = org.apache.commons.lang3.math.NumberUtils.min(1L, 10L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 1L);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphaSpace(charSequence0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.swapCase("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"Linux", 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test241() {}
// Defects4J: flaky method
//   @Test
//   public void test241() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }
// 
// 
//     java.lang.String str0 = org.apache.commons.lang3.SystemUtils.USER_NAME;
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str0 + "' != '" + "ac1gf"+ "'", str0.equals("ac1gf"));
// 
//   }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_JAVA_1_5;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    java.lang.CharSequence charSequence1 = null;
    int i3 = org.apache.commons.lang3.StringUtils.lastOrdinalIndexOf((java.lang.CharSequence)"a", charSequence1, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equalsIgnoreCase((java.lang.CharSequence)"amd64", (java.lang.CharSequence)"aaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_OPEN_BSD;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    java.lang.Long long0 = org.apache.commons.lang3.math.NumberUtils.LONG_MINUS_ONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + long0 + "' != '" + (-1L)+ "'", long0.equals((-1L)));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfterLast("/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR", "en");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumeric((java.lang.CharSequence)"1.7.0_55");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal1 = org.apache.commons.lang3.math.NumberUtils.createBigDecimal("4####");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    java.lang.Byte byte0 = org.apache.commons.lang3.math.NumberUtils.BYTE_MINUS_ONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + byte0 + "' != '" + (byte)(-1)+ "'", byte0.equals((byte)(-1)));

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("    G     ", '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "    G     "+ "'", str2.equals("    G     "));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("GB");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "BG"+ "'", str1.equals("BG"));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastOrdinalIndexOf((java.lang.CharSequence)"Linux", (java.lang.CharSequence)"ac1gf", 29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"55_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    byte byte1 = org.apache.commons.lang3.math.NumberUtils.toByte("    G     ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    byte[] byte_array3 = new byte[] { (byte)1, (byte)(-1), (byte)10 };
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(byte_array3, 'a', 100, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = org.apache.commons.lang3.StringUtils.toString(byte_array3, "");
      org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException");
    } catch (java.io.UnsupportedEncodingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.UnsupportedEncodingException")) {
        org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min(5, 4, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_VM_SPECIFICATION_VERSION;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "1.7"+ "'", str0.equals("1.7"));

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumeric((java.lang.CharSequence)"http://java.oracle.com/");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToNull("UTF-8");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "UTF-8"+ "'", str1.equals("UTF-8"));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger1 = org.apache.commons.lang3.math.NumberUtils.createBigInteger("aaaaaaaaaa");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty(" 1.7.0_55 ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1.7.0_55"+ "'", str1.equals("1.7.0_55"));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.leftPad("2.6.32-573.3.1.el6.x86_64", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "2.6.32-573.3.1.el6.x86_64"+ "'", str2.equals("2.6.32-573.3.1.el6.x86_64"));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    int i2 = org.apache.commons.lang3.StringUtils.countMatches((java.lang.CharSequence)"mixed mode", (java.lang.CharSequence)"55_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumeric((java.lang.CharSequence)"/");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    byte byte2 = org.apache.commons.lang3.math.NumberUtils.toByte("BG", (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)1);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.min(100.0d, 1.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.min((short)0, (short)1, (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)0);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_SPECIFICATION_VERSION;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "1.7"+ "'", str0.equals("1.7"));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732"+ "'", str2.equals("/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732"));

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.defaultString("/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732/target/classes:/data/ac1gf/defects4j/framework/lib/test_generation/generation/randoop-current.jar");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732/target/classes:/data/ac1gf/defects4j/framework/lib/test_generation/generation/randoop-current.jar"+ "'", str1.equals("/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732/target/classes:/data/ac1gf/defects4j/framework/lib/test_generation/generation/randoop-current.jar"));

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number1 = org.apache.commons.lang3.math.NumberUtils.createNumber("GB");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equals((java.lang.CharSequence)"amd64", (java.lang.CharSequence)"2.6.32-573.3.1.el6.x86_64");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("55_0.7.1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    long long3 = org.apache.commons.lang3.math.NumberUtils.max(100L, 1L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 100L);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    long long2 = org.apache.commons.lang3.math.NumberUtils.toLong("100", 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_VM_VERSION;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "24.55-b03"+ "'", str0.equals("24.55-b03"));

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    float f1 = org.apache.commons.lang3.math.NumberUtils.toFloat("sun.awt.X11GraphicsEnvironment");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.capitalize("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfter("Java(TM) SE Runtime Environment", "G");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripAccents("1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1"+ "'", str1.equals("1"));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.max((short)(-1), (short)100, (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)100);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("Java Virtual Machine Specification", "ac1gf");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Java Virtual Machine Specification"+ "'", str2.equals("Java Virtual Machine Specification"));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEnd("amd64", "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "amd64"+ "'", str2.equals("amd64"));

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_JAVA_1_4;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    java.lang.CharSequence charSequence0 = null;
    java.lang.CharSequence charSequence1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.equalsIgnoreCase(charSequence0, charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_WINDOWS_NT;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    char[] char_array1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"Java HotSpot(TM) 64-Bit Server VM", char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"+ "'", str2.equals("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"));

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isBlank((java.lang.CharSequence)"hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"aaaaaaaaaa", (java.lang.CharSequence)"4####");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripEnd("/usr/local/packages6/java/jdk1.7.0_55/jre", "4####");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "/usr/local/packages6/java/jdk1.7.0_55/jre"+ "'", str2.equals("/usr/local/packages6/java/jdk1.7.0_55/jre"));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.upperCase("", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.leftPad("1.7.0_55", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "                                                                                            1.7.0_55"+ "'", str2.equals("                                                                                            1.7.0_55"));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStartIgnoreCase("55_0.7.1", "/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "55_0.7.1"+ "'", str2.equals("55_0.7.1"));

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"UTF-8", (java.lang.CharSequence)" 1.7.0_55 ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.min(10.0f, 10.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.0f);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)" 1.7.0_55  1.7.0_55  55_0.7.1", 1, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.deleteWhitespace("1.7");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1.7"+ "'", str1.equals("1.7"));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Long long1 = org.apache.commons.lang3.math.NumberUtils.createLong("Amd64");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"10.0a0.0", (java.lang.CharSequence)"/");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("aaaaaaaaaa", "10.0a0.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "aaaaaaaaaa"+ "'", str2.equals("aaaaaaaaaa"));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"Java(TM) SE Runtime Environment", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("1.7");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1.7"+ "'", str1.equals("1.7"));

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substring("", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_EXT_DIRS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext"+ "'", str0.equals("/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext"));

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    byte byte1 = org.apache.commons.lang3.math.NumberUtils.toByte("Oracle Corporation");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("ac1gf");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ac1gf"+ "'", str1.equals("ac1gf"));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.min((short)0, (short)100, (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)0);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("55_0.7.1", '#', 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "55_0.7.1"+ "'", str3.equals("55_0.7.1"));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.upperCase("Linux", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    float f1 = org.apache.commons.lang3.math.NumberUtils.toFloat("-1a-1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 100L);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("24.55-b03");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_JAVA_1_7;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == true);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isBlank((java.lang.CharSequence)"1.7.0_55");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("UTF-8", 1, '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "UTF-8"+ "'", str3.equals("UTF-8"));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    int[] i_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(i_array0, '#', 29, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBefore("100.0", "Oracle Corporation.7.0_55");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "100.0"+ "'", str2.equals("100.0"));

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_CLASS_VERSION;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "51.0"+ "'", str0.equals("51.0"));

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number1 = org.apache.commons.lang3.math.NumberUtils.createNumber("/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732/target/classes:/data/ac1gf/defects4j/framework/lib/test_generation/generation/randoop-current.jar");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("24.55-b03");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "30b-55.42"+ "'", str1.equals("30b-55.42"));

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_SOLARIS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("10.0a0.0", 0, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "10.0a0.0"+ "'", str3.equals("10.0a0.0"));

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat(" 1.7.0_55 ", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + " 1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55 "+ "'", str2.equals(" 1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55 "));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    int i2 = org.apache.commons.lang3.math.NumberUtils.toInt("-1a-1", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    java.lang.Object[] obj_array0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(obj_array0, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat('a', 29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "aaaaaaaaaaaaaaaaaaaaaaaaaaaaa"+ "'", str2.equals("aaaaaaaaaaaaaaaaaaaaaaaaaaaaa"));

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.lowerCase("", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.abbreviate("", 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("", "100.0#0.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.min((byte)(-1), (byte)100, (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)(-1));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("", 10, "4####");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "4####4####"+ "'", str3.equals("4####4####"));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    int i0 = org.apache.commons.lang3.StringUtils.INDEX_NOT_FOUND;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == (-1));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.containsWhitespace((java.lang.CharSequence)"1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat(":", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::"+ "'", str2.equals("::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::"));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substring("", 5, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    char[] char_array4 = new char[] { 'a' };
    int i5 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"", char_array4);
    int i6 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"mixed mode", char_array4);
    boolean b7 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"\n", char_array4);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = org.apache.commons.lang3.StringUtils.join(char_array4, 'a', 1, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.deleteWhitespace("en");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "en"+ "'", str1.equals("en"));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    char[] char_array1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"/usr/local/packages6/java/jdk1.7.0_55/jre/lib/endorsed", char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllUpperCase((java.lang.CharSequence)"ac1gf");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isDigits("aaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    byte[] byte_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(byte_array0, '#', 5, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.max(1.0d, 0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllLowerCase((java.lang.CharSequence)" 1.7.0_55 ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    java.lang.CharSequence charSequence0 = null;
    java.lang.CharSequence charSequence1 = null;
    int i2 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase(charSequence0, charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chomp("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_WINDOWS_XP;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_AWT_PRINTERJOB;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "sun.print.PSPrinterJob"+ "'", str0.equals("sun.print.PSPrinterJob"));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBefore("Linux", "55_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.155_0.7.1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Linux"+ "'", str2.equals("Linux"));

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.endsWithIgnoreCase((java.lang.CharSequence)" 1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55 ", (java.lang.CharSequence)"/usr/local/packages6/java/jdk1.7.0_55/jre");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Double d1 = org.apache.commons.lang3.math.NumberUtils.createDouble("aaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b1 = org.apache.commons.lang3.StringUtils.isAllUpperCase(charSequence0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.strip("/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR"+ "'", str1.equals("/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR"));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.overlay("", "1a-1a10", 29, 29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "1a-1a10"+ "'", str4.equals("1a-1a10"));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_WINDOWS_7;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    org.apache.commons.lang3.StringUtils stringUtils0 = new org.apache.commons.lang3.StringUtils();

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.upperCase("2.6.32-573.3.1.el6.x86_64");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "2.6.32-573.3.1.EL6.X86_64"+ "'", str1.equals("2.6.32-573.3.1.EL6.X86_64"));

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.replace("http://java.oracle.com/", "sun.print.PSPrinterJob", "", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "http://java.oracle.com/"+ "'", str4.equals("http://java.oracle.com/"));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_VM_VENDOR;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "Oracle Corporation"+ "'", str0.equals("Oracle Corporation"));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    java.util.Iterator iterator0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterator0, "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    double[] d_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(d_array0, '4', 4, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_VM_SPECIFICATION_VENDOR;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "Oracle Corporation"+ "'", str0.equals("Oracle Corporation"));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    short s2 = org.apache.commons.lang3.math.NumberUtils.toShort("4####", (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)100);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfAnyBut((java.lang.CharSequence)"http://java.oracle.com/", (java.lang.CharSequence)"http://java.oracle.com/");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chomp(":");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ":"+ "'", str1.equals(":"));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equalsIgnoreCase((java.lang.CharSequence)"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa", (java.lang.CharSequence)"");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    short s1 = org.apache.commons.lang3.math.NumberUtils.toShort("100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWithIgnoreCase((java.lang.CharSequence)"/HOME/AC1GF", (java.lang.CharSequence)"hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("", 0, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripAccents(" 1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55 ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + " 1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55 "+ "'", str1.equals(" 1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55 "));

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitByWholeSeparator("1a-1a10", "Linux");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.lowerCase("::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::"+ "'", str1.equals("::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::"));

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.min((short)10, (short)100, (short)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)(-1));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("1.7.0_55", 4, '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1.7.0_55"+ "'", str3.equals("1.7.0_55"));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min(100, 0, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.leftPad("51.0", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "51.0"+ "'", str2.equals("51.0"));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.normalizeSpace(" 1.7.0_55  1.7.0_55  55_0.7.1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1.7.0_55 1.7.0_55 55_0.7.1"+ "'", str1.equals("1.7.0_55 1.7.0_55 55_0.7.1"));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.capitalize("1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1"+ "'", str1.equals("1"));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isDigits("amd64");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger1 = org.apache.commons.lang3.math.NumberUtils.createBigInteger("Linux");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"/", (java.lang.CharSequence)"/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"100.0#0.0", (java.lang.CharSequence)"/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR", (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.isJavaAwtHeadless();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.right("/usr/local/packages6/java/jdk1.7.0_55/jre/lib/endorsed", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "/usr/local/packages6/java/jdk1.7.0_55/jre/lib/endorsed"+ "'", str2.equals("/usr/local/packages6/java/jdk1.7.0_55/jre/lib/endorsed"));

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.leftPad("    G     ", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "    G     "+ "'", str2.equals("    G     "));

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chomp("a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "a"+ "'", str1.equals("a"));

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWith((java.lang.CharSequence)"4####", (java.lang.CharSequence)"sun.awt.X11GraphicsEnvironment");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("1 -1 10", "55_0.7.1", "/home/ac1gf");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "c -c cm"+ "'", str3.equals("c -c cm"));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("/home/ac1gf", " 1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55 ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "/home/ac1gf"+ "'", str2.equals("/home/ac1gf"));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitByCharacterType("");
    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOfAny((java.lang.CharSequence)"amd64", (java.lang.CharSequence[])str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chop("-1a-1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "-1a-"+ "'", str1.equals("-1a-"));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.difference("/usr/local/packages6/java/jdk1.7.0_55/jre/lib/endorsed", "1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1"+ "'", str2.equals("1"));

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceOnce("\n", "2.6.32-573.3.1.EL6.X86_64", "sun.awt.X11GraphicsEnvironment");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\n"+ "'", str3.equals("\n"));

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.right("1 -1 10", 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1 10"+ "'", str2.equals("1 10"));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    float f2 = org.apache.commons.lang3.math.NumberUtils.toFloat("-1a-", (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    int i1 = org.apache.commons.lang3.StringUtils.length((java.lang.CharSequence)"/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 54);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.replace("ac1gf", "G", "1.7", 29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "ac1gf"+ "'", str4.equals("ac1gf"));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isWhitespace((java.lang.CharSequence)"GB");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chop("1 -1 10");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 -1 1"+ "'", str1.equals("1 -1 1"));

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.chomp(" 1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55 ", "/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + " 1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55 "+ "'", str2.equals(" 1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55 "));

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllUpperCase((java.lang.CharSequence)"amd64");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.center("hi!", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "                                                hi!                                                 "+ "'", str2.equals("                                                hi!                                                 "));

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    long long3 = org.apache.commons.lang3.math.NumberUtils.max(100L, 0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 100L);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"30b-55.42", (java.lang.CharSequence)"100", 29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.deleteWhitespace("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    java.lang.CharSequence charSequence1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.endsWithIgnoreCase((java.lang.CharSequence)"1#-1#10", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWithIgnoreCase((java.lang.CharSequence)"100", (java.lang.CharSequence)"sun.awt.X11GraphicsEnvironment");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.swapCase("aaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "AAAAAAAAAAAAAAAAAAAAAAAAAAAAA"+ "'", str1.equals("AAAAAAAAAAAAAAAAAAAAAAAAAAAAA"));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"Java Virtual Machine Specification", 1, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphaSpace((java.lang.CharSequence)"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    java.lang.Iterable iterable0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterable0, '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllUpperCase((java.lang.CharSequence)"http://java.oracle.com/");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"GB", (java.lang.CharSequence)"1 -1 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chomp("sun.print.PSPrinterJob");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "sun.print.PSPrinterJob"+ "'", str1.equals("sun.print.PSPrinterJob"));

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.chomp("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa", "/HOME/AC1GF");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"+ "'", str2.equals("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"));

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    byte[] byte_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.toString(byte_array0, "\u0001\uFFFD\n");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    java.lang.CharSequence charSequence0 = null;
    int i3 = org.apache.commons.lang3.StringUtils.indexOf(charSequence0, 0, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWithIgnoreCase((java.lang.CharSequence)":", (java.lang.CharSequence)"a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("/usr/local/packages6/java/jdk1.7.0_55/jre");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.min(1.0d, 10.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    int i3 = org.apache.commons.lang3.StringUtils.ordinalIndexOf((java.lang.CharSequence)"::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::", (java.lang.CharSequence)"\u0001\uFFFD\n", 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfBlank((java.lang.CharSequence)"c -c cm", (java.lang.CharSequence)"2.6.32-573.3.1.el6.x86_64");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "c -c cm"+ "'", charSequence2.equals("c -c cm"));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("a", "a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trimToEmpty("2.6.32-573.3.1.el6.x86_64");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "2.6.32-573.3.1.el6.x86_64"+ "'", str1.equals("2.6.32-573.3.1.el6.x86_64"));

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    java.lang.Iterable iterable0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterable0, "/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR", (java.lang.CharSequence)"100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("/SCRATCH/AC1GF/lANG/7/0/RUN_RANDOOP.PL_2339_1456070732/TARGET/CLASSES:/DATA/AC1GF/DEFECTS4J/FRAMEWORK/LIB/TEST_GENERATION/GENERATION/RANDOOP-CURRENT.JAR");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "RAJ.TNERRUC-POODNAR/NOITARENEG/NOITARENEG_TSET/BIL/KROWEMARF/J4STCEFED/FG1CA/ATAD/:SESSALC/TEGRAT/2370706541_9332_LP.POODNAR_NUR/0/7/GNAl/FG1CA/HCTARCS/"+ "'", str1.equals("RAJ.TNERRUC-POODNAR/NOITARENEG/NOITARENEG_TSET/BIL/KROWEMARF/J4STCEFED/FG1CA/ATAD/:SESSALC/TEGRAT/2370706541_9332_LP.POODNAR_NUR/0/7/GNAl/FG1CA/HCTARCS/"));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWithIgnoreCase((java.lang.CharSequence)"/usr/local/packages6/java/jdk1.7.0_55/jre/lib/endorsed", (java.lang.CharSequence)"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa", "    G     ", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"+ "'", str3.equals("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"));

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty("UTF-8");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "UTF-8"+ "'", str1.equals("UTF-8"));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotEmpty((java.lang.CharSequence)"Linux");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.min(1.0d, (-1.0d), (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"                                                                                            1.7.0_55", (java.lang.CharSequence)"55_0.7.1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.uncapitalize("1 -1 10");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1 -1 10"+ "'", str1.equals("1 -1 10"));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    java.lang.Integer i0 = org.apache.commons.lang3.math.NumberUtils.INTEGER_ZERO;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i0 + "' != '" + 0+ "'", i0.equals(0));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfDifference((java.lang.CharSequence)"1a-1a10", (java.lang.CharSequence)" 1.7.0_55 ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.max(1.0d, 1.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 100.0d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    float f2 = org.apache.commons.lang3.math.NumberUtils.toFloat("4####4####", 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.lowerCase("Linux");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "linux"+ "'", str1.equals("linux"));

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWith((java.lang.CharSequence)" 1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55  1.7.0_55 ", (java.lang.CharSequence)"    G     ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("amd64", 100, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "amd6444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444"+ "'", str3.equals("amd6444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444444"));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.max(10.0f, 100.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 100.0f);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBeforeLast("", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("1", 0, "c -c cm");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1"+ "'", str3.equals("1"));

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    java.lang.Integer i0 = org.apache.commons.lang3.math.NumberUtils.INTEGER_ONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i0 + "' != '" + 1+ "'", i0.equals(1));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732/target/classes:/data/ac1gf/defects4j/framework/lib/test_generation/generation/randoop-current.jar", (java.lang.CharSequence)"Oracle Corporation");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    java.util.Iterator iterator0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterator0, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"/usr/local/packages6/java/jdk1.7.0_55/jre/lib/endorsed", (java.lang.CharSequence)"Java HotSpot(TM) 64-Bit Server VM");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfDifference((java.lang.CharSequence)"sun.awt.X11GraphicsEnvironment", (java.lang.CharSequence)"                                                                                            1.7.0_55");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    java.lang.Double d0 = org.apache.commons.lang3.math.NumberUtils.DOUBLE_MINUS_ONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + d0 + "' != '" + (-1.0d)+ "'", d0.equals((-1.0d)));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripStart("/home/ac1gf", "\n");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "/home/ac1gf"+ "'", str2.equals("/home/ac1gf"));

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllLowerCase((java.lang.CharSequence)"/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732/target/classes:/data/ac1gf/defects4j/framework/lib/test_generation/generation/randoop-current.jar");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"4####", (java.lang.CharSequence)"1a-1a10", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("100", "RAJ.TNERRUC-POODNAR/NOITARENEG/NOITARENEG_TSET/BIL/KROWEMARF/J4STCEFED/FG1CA/ATAD/:SESSALC/TEGRAT/2370706541_9332_LP.POODNAR_NUR/0/7/GNAl/FG1CA/HCTARCS/", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "100"+ "'", str3.equals("100"));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.max((-1.0d), (-1.0d), (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    short[] s_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      short s1 = org.apache.commons.lang3.math.NumberUtils.max(s_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.lowerCase("sun.awt.X11GraphicsEnvironment", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("aaaaaaaaaa", "1.7");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "aaaaaaaaaa"+ "'", str2.equals("aaaaaaaaaa"));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    java.lang.Float f0 = org.apache.commons.lang3.math.NumberUtils.FLOAT_ZERO;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + f0 + "' != '" + 0.0f+ "'", f0.equals(0.0f));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.min(0.0f, 1.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == (-1.0f));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.lang3.math.NumberUtils.min(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.uncapitalize("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceOnce("100 0 -1", " ", "en");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "100en0 -1"+ "'", str3.equals("100en0 -1"));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.swapCase("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaUTF-8aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAutf-8AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA"+ "'", str1.equals("AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAutf-8AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA"));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.replace("", "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAutf-8AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA", "sun.print.PSPrinterJob", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replacePattern("", "1#-1#10", "/");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.center("Linux", 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Linux"+ "'", str2.equals("Linux"));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("    G     ", "/HOME/AC1GF");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "    G     "+ "'", str2.equals("    G     "));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.overlay("1 10", "amd64", 5, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "amd64"+ "'", str4.equals("amd64"));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min(0, 0, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_COMPILER;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str0);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    java.lang.String[] str_array0 = null;
    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.stripAll(str_array0, "100en0 -1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str_array2);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Double d1 = org.apache.commons.lang3.math.NumberUtils.createDouble("");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    java.lang.CharSequence charSequence1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.startsWithIgnoreCase((java.lang.CharSequence)"Java Virtual Machine Specification", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732", 0, "24.55-b03");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732"+ "'", str3.equals("/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732"));

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("100en0 -1", (-1), "G");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "100en0 -1"+ "'", str3.equals("100en0 -1"));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    java.util.Iterator iterator0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterator0, "/usr/local/packages6/java/jdk1.7.0_55/jre");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsNone((java.lang.CharSequence)"UTF-8", "                                                hi!                                                 ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext", "/scratch/ac1gf/Lang/7/0/run_randoop.pl_2339_1456070732/target/classes:/data/ac1gf/defects4j/framework/lib/test_generation/generation/randoop-current.jar");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext"+ "'", str2.equals("/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext"));

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equals((java.lang.CharSequence)"2.6.32-573.3.1.el6.x86_64", (java.lang.CharSequence)"Linux");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"                                                                                            1.7.0_55", (java.lang.CharSequence)"en", 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isDigits("100 0 -1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    boolean b0 = org.apache.commons.lang3.SystemUtils.IS_OS_WINDOWS_98;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == false);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    byte byte3 = org.apache.commons.lang3.math.NumberUtils.min((byte)0, (byte)1, (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)0);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    double d2 = org.apache.commons.lang3.math.NumberUtils.toDouble("Linux", 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("", 'a', '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat("hi!", 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!hi!hi!hi!"+ "'", str2.equals("hi!hi!hi!hi!"));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substring("1 10", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removePattern("", "1 -1 10");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.repeat("100 0 -1", "/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext", 29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1"+ "'", str3.equals("100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1/usr/local/packages6/java/jdk1.7.0_55/jre/lib/ext:/usr/java/packages/lib/ext100 0 -1"));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    long[] long_array0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(long_array0, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBefore("", "::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test495() {}
// Defects4J: flaky method
//   @Test
//   public void test495() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }
// 
// 
//     java.lang.String str0 = org.apache.commons.lang3.SystemUtils.JAVA_LIBRARY_PATH;
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str0 + "' != '" + "/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib"+ "'", str0.equals("/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib"));
// 
//   }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    java.io.File file0 = org.apache.commons.lang3.SystemUtils.getUserDir();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(file0);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphaSpace((java.lang.CharSequence)" 1.7.0_55 ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.center("10.0a0.0", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + " 10.0a0.0 "+ "'", str2.equals(" 10.0a0.0 "));

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isWhitespace((java.lang.CharSequence)"-1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfAnyBut((java.lang.CharSequence)"                                                                                            1.7.0_55", (java.lang.CharSequence)"-1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

}
