
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest102 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test001"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.reverseDelimited("hi!", '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!"+ "'", str2.equals("hi!"));

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test002"); }


    int i2 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"", (java.lang.CharSequence)"");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test003"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.deleteWhitespace("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hi!"+ "'", str1.equals("hi!"));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test004"); }


    float[] f_array1 = new float[] { 100.0f };
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(f_array1, ' ', 10, 10);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(f_array1, ' ');
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = org.apache.commons.lang3.StringUtils.join(f_array1, ' ', (-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "100.0"+ "'", str7.equals("100.0"));

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test005"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny(charSequence0, (java.lang.CharSequence)"");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test006"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"hi!", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test007"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.abbreviate("hi!", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!"+ "'", str2.equals("hi!"));

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test008"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"", (java.lang.CharSequence)"hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test009"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.max(10.0d, (-1.0d), 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 100.0d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test010"); }


    char[] char_array1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.containsNone((java.lang.CharSequence)"", char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test011"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("hi!", '4', '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "hi!"+ "'", str3.equals("hi!"));

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test012"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("hi!", 100, '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "################################################hi!#################################################"+ "'", str3.equals("################################################hi!#################################################"));

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test013"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"################################################hi!#################################################", (java.lang.CharSequence)"");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test014"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"################################################hi!#################################################", (java.lang.CharSequence)"");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test015"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test016"); }


    int i2 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"", (java.lang.CharSequence)"hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test017"); }


    byte[] byte_array1 = new byte[] { (byte)0 };
    byte byte2 = org.apache.commons.lang3.math.NumberUtils.max(byte_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = org.apache.commons.lang3.StringUtils.toString(byte_array1, "");
      org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException");
    } catch (java.io.UnsupportedEncodingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.UnsupportedEncodingException")) {
        org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)0);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test018"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfterLast("", "################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test019"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumeric((java.lang.CharSequence)"################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test020"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("hi!", "################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test021"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"", (java.lang.CharSequence)"", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test022"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("hi!", "################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!"+ "'", str2.equals("hi!"));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test023"); }


    java.lang.CharSequence charSequence1 = null;
    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"hi!", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test024"); }


    double[] d_array0 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(d_array0, ' ', 10, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test025"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"################################################hi!#################################################", (java.lang.CharSequence)"", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test026"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"################################################hi!#################################################", (java.lang.CharSequence)"hi!", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test027"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviate("", 100, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test028"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min(1, 100, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test029"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStartIgnoreCase("-1.0#1.0#10.0", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1.0#1.0#10.0"+ "'", str2.equals("-1.0#1.0#10.0"));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test030"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("################################################hi!#################################################", '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!"+ "'", str2.equals("hi!"));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test031"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.containsWhitespace((java.lang.CharSequence)"-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test032"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"", 0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test033"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.replace("", "hi!", "", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test034"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equals((java.lang.CharSequence)"################################################hi!#################################################", (java.lang.CharSequence)"-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test035"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("################################################hi!#################################################", 1, "################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "################################################hi!#################################################"+ "'", str3.equals("################################################hi!#################################################"));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test036"); }


    int i1 = org.apache.commons.lang3.StringUtils.length((java.lang.CharSequence)"-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 13);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test037"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"", (java.lang.CharSequence)"################################################hi!#################################################", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test038"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.substringsBetween("hi!", "", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str_array3);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test039"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStart("", "################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test040"); }


    char[] char_array4 = new char[] { ' ' };
    boolean b5 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"", char_array4);
    boolean b6 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"################################################hi!#################################################", char_array4);
    boolean b7 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"-1.0#1.0#10.0", char_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test041"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.replace("################################################hi!#################################################", "hi!", "", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "#################################################################################################"+ "'", str4.equals("#################################################################################################"));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test042"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min(0, (-1), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test043"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.normalizeSpace("#################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "#################################################################################################"+ "'", str1.equals("#################################################################################################"));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test044"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substring("#################################################################################################", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test045"); }


    short[] s_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(s_array0, 'a', 1, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test046"); }


    short s2 = org.apache.commons.lang3.math.NumberUtils.toShort("#################################################################################################", (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)100);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test047"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isDigits("#################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test048"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substring("#################################################################################################", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "#################################################################################################"+ "'", str2.equals("#################################################################################################"));

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test049"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEnd("-1.0#1.0#10.0", "################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1.0#1.0#10.0"+ "'", str2.equals("-1.0#1.0#10.0"));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test050"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStartIgnoreCase("################################################hi!#################################################", "1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "################################################hi!#################################################"+ "'", str2.equals("################################################hi!#################################################"));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test051"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("1a100", 1, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1a100"+ "'", str3.equals("1a100"));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test052"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfDifference((java.lang.CharSequence)"#################################################################################################", (java.lang.CharSequence)"1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test053"); }


    short s1 = org.apache.commons.lang3.math.NumberUtils.toShort("#################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test054"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"#################################################################################################", (java.lang.CharSequence)"hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test055"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isNumber("-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test056"); }


    double d1 = org.apache.commons.lang3.math.NumberUtils.toDouble("-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test057"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitByCharacterTypeCamelCase("hi!");
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!"+ "'", str2.equals("hi!"));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test058"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substringBetween("", "", "################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test059"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"1a0", (java.lang.CharSequence)"1a0", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test060"); }


    int i3 = org.apache.commons.lang3.StringUtils.ordinalIndexOf((java.lang.CharSequence)"#################################################################################################", (java.lang.CharSequence)"1a0", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test061"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test062"); }


    int[] i_array2 = new int[] { 1, 10 };
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = org.apache.commons.lang3.StringUtils.join(i_array2, 'a', 10, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test063"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWithIgnoreCase((java.lang.CharSequence)"#################################################################################################", (java.lang.CharSequence)"1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test064"); }


    java.lang.String[] str_array4 = org.apache.commons.lang3.StringUtils.split("hi!", "", 10);
    java.lang.String[] str_array6 = org.apache.commons.lang3.StringUtils.splitPreserveAllTokens("hi!");
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.replaceEach("", str_array4, str_array6);
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array4, "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test065"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("1a100", "", "1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1a100"+ "'", str3.equals("1a100"));

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test066"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfDifference((java.lang.CharSequence)"1a0", (java.lang.CharSequence)"################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test067"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isEmpty((java.lang.CharSequence)"-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test068"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chop("################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "################################################hi!################################################"+ "'", str1.equals("################################################hi!################################################"));

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test069"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substring("", 1, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test070"); }


    short s2 = org.apache.commons.lang3.math.NumberUtils.toShort("1004-14100", (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test071"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("-1.0#1.0#10.0", "-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1.0#1.0#10.0"+ "'", str2.equals("-1.0#1.0#10.0"));

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test072"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumeric((java.lang.CharSequence)"#################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test073"); }


    int i1 = org.apache.commons.lang3.StringUtils.length((java.lang.CharSequence)"1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 5);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test074"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.splitByWholeSeparator("################################################hi!################################################", "1a0", 0);
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array3, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "################################################hi!################################################"+ "'", str5.equals("################################################hi!################################################"));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test075"); }


    java.lang.String[] str_array1 = new java.lang.String[] { "1a100" };
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.getCommonPrefix(str_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a100"+ "'", str2.equals("1a100"));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test076"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.abbreviate("#################################################################################################", 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test077"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.difference("-1.0#1.0#10.0", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!"+ "'", str2.equals("hi!"));

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test078"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlpha((java.lang.CharSequence)"################################################hi!################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test079"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removePattern("-1.0#1.0#10.0", "1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1.0#1.0#10.0"+ "'", str2.equals("-1.0#1.0#10.0"));

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test080"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.reverseDelimited("-1.0#1.0#10.0", '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1.0#1.0#10.0"+ "'", str2.equals("-1.0#1.0#10.0"));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test081"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"1004-14100", (java.lang.CharSequence)"", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test082"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfDifference((java.lang.CharSequence)"hi!", (java.lang.CharSequence)"1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test083"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"1004-14100", 10, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test084"); }


    double d1 = org.apache.commons.lang3.math.NumberUtils.toDouble("1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test085"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotBlank((java.lang.CharSequence)"#################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test086"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"################################################hi!#################################################", (java.lang.CharSequence)"1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test087"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("################################################hi!#################################################", "################################################hi!#################################################", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test088"); }


    java.lang.CharSequence charSequence1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test089"); }


    java.lang.CharSequence charSequence0 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance(charSequence0, (java.lang.CharSequence)"", 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test090"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.center("1a100", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a100"+ "'", str2.equals("1a100"));

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test091"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"################################################hi!################################################", (java.lang.CharSequence)"#################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test092"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(charSequence0, (java.lang.CharSequence)"-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test093"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"1a0", (java.lang.CharSequence)"1004-14100", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test094"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"################################################hi!################################################", "1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test095"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.defaultString("1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1a100"+ "'", str1.equals("1a100"));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test096"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test097"); }


    byte byte1 = org.apache.commons.lang3.math.NumberUtils.toByte("################################################hi!################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test098"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.defaultString("################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "################################################hi!#################################################"+ "'", str1.equals("################################################hi!#################################################"));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test099"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.deleteWhitespace("################################################hi!################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "################################################hi!################################################"+ "'", str1.equals("################################################hi!################################################"));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test100"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.capitalize("1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1a100"+ "'", str1.equals("1a100"));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test101"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chop("1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1004-1410"+ "'", str1.equals("1004-1410"));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test102"); }


    int i1 = org.apache.commons.lang3.math.NumberUtils.toInt("-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test103"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("################################################hi!################################################", 1, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "################################################hi!################################################"+ "'", str3.equals("################################################hi!################################################"));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test104"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEnd("################################################hi!################################################", "1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "################################################hi!################################################"+ "'", str2.equals("################################################hi!################################################"));

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test105"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("1a0", (-1), 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1a0"+ "'", str3.equals("1a0"));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test106"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStart("", "1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test107"); }


    int i3 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"hi!", (java.lang.CharSequence)"hi!", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test108"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"1004-1410", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test109"); }


    int i1 = org.apache.commons.lang3.math.NumberUtils.toInt("1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test110"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBeforeLast("", "1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test111"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumericSpace((java.lang.CharSequence)"################################################hi!################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test112"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumericSpace((java.lang.CharSequence)"");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test113"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBeforeLast("################################################hi!################################################", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "################################################hi!################################################"+ "'", str2.equals("################################################hi!################################################"));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test114"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test115"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"################################################hi!################################################", "1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test116"); }


    char[] char_array3 = new char[] { ' ' };
    boolean b4 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"", char_array3);
    boolean b5 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"################################################hi!#################################################", char_array3);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(char_array3, 'a', (-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test117"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWith((java.lang.CharSequence)"hi!", (java.lang.CharSequence)"-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test118"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("1004-1410", 0, "################################################hi!################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1004-1410"+ "'", str3.equals("1004-1410"));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test119"); }


    float f2 = org.apache.commons.lang3.math.NumberUtils.toFloat("hi!", 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test120"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.center("#################################################################################################", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "#################################################################################################"+ "'", str2.equals("#################################################################################################"));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test121"); }


    int i3 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"################################################hi!#################################################", (java.lang.CharSequence)"################################################hi!################################################", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test122"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"1a100", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test123"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"################################################hi!#################################################", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test124"); }


    byte[] byte_array1 = new byte[] { (byte)0 };
    byte byte2 = org.apache.commons.lang3.math.NumberUtils.max(byte_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = org.apache.commons.lang3.StringUtils.toString(byte_array1, "hi!");
      org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException");
    } catch (java.io.UnsupportedEncodingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.UnsupportedEncodingException")) {
        org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)0);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test125"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBetween("#################################################################################################", "1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test126"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty("1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1a0"+ "'", str1.equals("1a0"));

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test127"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"1004-14100", 1, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test128"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substringBetween("1004-1410", "1a0", "1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test129"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"-1.0#1.0#10.0", (java.lang.CharSequence)"1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test130"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.min(100, 100, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test131"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Double d1 = org.apache.commons.lang3.math.NumberUtils.createDouble("################################################hi!#################################################");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test132"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"#################################################################################################", (java.lang.CharSequence)"1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test133"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeEndIgnoreCase("#################################################################################################", "1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "#################################################################################################"+ "'", str2.equals("#################################################################################################"));

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test134"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("1004-1410", "1004-1410");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array2, "################################################hi!################################################", 0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test135"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("-1.0#1.0#10.0", (-1), '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "-1.0#1.0#10.0"+ "'", str3.equals("-1.0#1.0#10.0"));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test136"); }


    float f2 = org.apache.commons.lang3.math.NumberUtils.toFloat("-1.0#1.0#10.0", 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test137"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlpha((java.lang.CharSequence)"################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test138"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trimToEmpty("1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1a100"+ "'", str1.equals("1a100"));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test139"); }


    int i3 = org.apache.commons.lang3.StringUtils.ordinalIndexOf((java.lang.CharSequence)"################################################hi!################################################", (java.lang.CharSequence)"#################################################################################################", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test140"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToNull("################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "################################################hi!#################################################"+ "'", str1.equals("################################################hi!#################################################"));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test141"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("1a0", 10, "1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1a01004-14"+ "'", str3.equals("1a01004-14"));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test142"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotBlank((java.lang.CharSequence)"1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test143"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"-1.0#1.0#10.0", (java.lang.CharSequence)"hia!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test144"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Double d1 = org.apache.commons.lang3.math.NumberUtils.createDouble("1004-1410");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test145"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"1a01004-14", "hia!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test146"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.defaultString("1a01004-14", "1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a01004-14"+ "'", str2.equals("1a01004-14"));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test147"); }


    char[] char_array1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"1a01004-14", char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test148"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("################################################hi!################################################", 1, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "################################################hi!################################################"+ "'", str3.equals("################################################hi!################################################"));

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test149"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test150"); }


    long[] long_array2 = new long[] { 0L, 0L };
    long long3 = org.apache.commons.lang3.math.NumberUtils.max(long_array2);
    long long4 = org.apache.commons.lang3.math.NumberUtils.max(long_array2);
    long long5 = org.apache.commons.lang3.math.NumberUtils.min(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test151"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "################################################hi!#################################################"+ "'", str1.equals("################################################hi!#################################################"));

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test152"); }


    short[] s_array3 = new short[] { (short)10, (short)10, (short)10 };
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(s_array3, 'a', (-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array3);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test153"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.endsWith((java.lang.CharSequence)"hia!", (java.lang.CharSequence)"100 -1 100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test154"); }


    short s2 = org.apache.commons.lang3.math.NumberUtils.toShort("1004-1410", (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)100);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test155"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.mid("1004-14100", 0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1004-14100"+ "'", str3.equals("1004-14100"));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test156"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"1a01004-14", (java.lang.CharSequence)"1a0", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test157"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("################################################hi!################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "################################################hi!################################################"+ "'", str1.equals("################################################hi!################################################"));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test158"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfDifference((java.lang.CharSequence)"################################################hi!################################################", (java.lang.CharSequence)"-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test159"); }


    int[] i_array3 = new int[] { (-1), 0, 0 };
    int i4 = org.apache.commons.lang3.math.NumberUtils.max(i_array3);
    int i5 = org.apache.commons.lang3.math.NumberUtils.max(i_array3);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(i_array3, '4', (-1), 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test160"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.substringsBetween("1004-1410", "100 -1 100", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str_array3);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test161"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad(" a4a#", 0, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + " a4a#"+ "'", str3.equals(" a4a#"));

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test162"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substringBetween("################################################hi!################################################", "#################################################################################################", "1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test163"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.abbreviate("", 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test164"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitByWholeSeparator("################################################hi!################################################", "1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test165"); }


    short[] s_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(s_array0, '4', 0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test166"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllLowerCase((java.lang.CharSequence)"#################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test167"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty("################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "################################################hi!#################################################"+ "'", str1.equals("################################################hi!#################################################"));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test168"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.chomp("#################################################################################################", "################################################hi!################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "#################################################################################################"+ "'", str2.equals("#################################################################################################"));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test169"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.capitalize("1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1004-1410"+ "'", str1.equals("1004-1410"));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test170"); }


    char[] char_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(char_array0, ' ', (-1), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test171"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chomp("1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1a100"+ "'", str1.equals("1a100"));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test172"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isWhitespace((java.lang.CharSequence)"1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test173"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"-1.0#1.0#10.0", (java.lang.CharSequence)"1a100", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test174"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.lowerCase(" a4a#");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + " a4a#"+ "'", str1.equals(" a4a#"));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test175"); }


    java.lang.CharSequence charSequence1 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"hi!", charSequence1, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test176"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("1004-14100", 1, "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1004-14100"+ "'", str3.equals("1004-14100"));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test177"); }


    java.util.Iterator iterator0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterator0, "1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test178"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitPreserveAllTokens("100 -1 100", 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test179"); }


    java.lang.CharSequence charSequence0 = null;
    int i3 = org.apache.commons.lang3.StringUtils.indexOf(charSequence0, 0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test180"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.normalizeSpace("-1 0 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "-1 0 0"+ "'", str1.equals("-1 0 0"));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test181"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.min(100.0d, 0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test182"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replacePattern("hia!", "", "1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1004-14100h1004-14100i1004-14100a1004-14100!1004-14100"+ "'", str3.equals("1004-14100h1004-14100i1004-14100a1004-14100!1004-14100"));

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test183"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitByCharacterTypeCamelCase("hi!");
    java.lang.String str3 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array1, "1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "hi1a0!"+ "'", str3.equals("hi1a0!"));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test184"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"1004-1410", (java.lang.CharSequence)"1a0", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test185"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("################################################hi!#################################################", "hia!", "1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "################################################1a#################################################"+ "'", str3.equals("################################################1a#################################################"));

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test186"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"", (java.lang.CharSequence)"################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test187"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test188"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.deleteWhitespace("################################################1a#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "################################################1a#################################################"+ "'", str1.equals("################################################1a#################################################"));

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test189"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.equalsIgnoreCase((java.lang.CharSequence)"", (java.lang.CharSequence)"1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test190"); }


    long long3 = org.apache.commons.lang3.math.NumberUtils.max((-1L), 100L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 100L);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test191"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.substringsBetween("################################################hi!#################################################", "-1.0#1.0#10.0", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str_array3);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test192"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.max(10, 0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test193"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"################################################hi!################################################", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test194"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAsciiPrintable((java.lang.CharSequence)"1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test195"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfEmpty((java.lang.CharSequence)"1a01004-14", (java.lang.CharSequence)"-1 0 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "1a01004-14"+ "'", charSequence2.equals("1a01004-14"));

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test196"); }


    char[] char_array3 = new char[] { ' ' };
    boolean b4 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"", char_array3);
    boolean b5 = org.apache.commons.lang3.StringUtils.containsAny((java.lang.CharSequence)"################################################hi!#################################################", char_array3);
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(char_array3, ' ', 1, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test197"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substring("1a01004-14", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test198"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.substringsBetween("1004-1410", "1004-14100", "################################################1a#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str_array3);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test199"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"################################################hi!################################################", (java.lang.CharSequence)"1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test200"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripEnd("1a01004-14", "1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a"+ "'", str2.equals("1a"));

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test201"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.endsWithIgnoreCase((java.lang.CharSequence)"################################################hi!################################################", (java.lang.CharSequence)"100 -1 100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test202"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("1004-1410", '4', ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "100 -1 10"+ "'", str3.equals("100 -1 10"));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test203"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replacePattern("#################################################################################################", " a4a#", "100 -1 100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "#################################################################################################"+ "'", str3.equals("#################################################################################################"));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test204"); }


    double[] d_array3 = new double[] { (-1.0d), 1.0d, 10.0d };
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(d_array3, '#');
    double d6 = org.apache.commons.lang3.math.NumberUtils.max(d_array3);
    double d7 = org.apache.commons.lang3.math.NumberUtils.min(d_array3);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = org.apache.commons.lang3.StringUtils.join(d_array3, ' ', (-1), 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "-1.0#1.0#10.0"+ "'", str5.equals("-1.0#1.0#10.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-1.0d));

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test205"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStartIgnoreCase("", " a4a#");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test206"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.normalizeSpace("100 -1 100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "100 -1 100"+ "'", str1.equals("100 -1 100"));

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test207"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)" a4a#", (java.lang.CharSequence)"################################################1a#################################################", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test208"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.overlay("", "1004-14100h1004-14100i1004-14100a1004-14100!1004-14100", 0, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "1004-14100h1004-14100i1004-14100a1004-14100!1004-14100"+ "'", str4.equals("1004-14100h1004-14100i1004-14100a1004-14100!1004-14100"));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test209"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"#################################################################################################", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test210"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfter("-1.0#1.0#10.0", "1a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test211"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.min(100.0f, 0.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.0f);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test212"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.mid("1a100", 10, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test213"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStartIgnoreCase("#################################################################################################", "1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "#################################################################################################"+ "'", str2.equals("#################################################################################################"));

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test214"); }


    int i2 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"#################################################################################################", (java.lang.CharSequence)"1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 97);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test215"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("################################################hi!################################################", 10, "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "################################################hi!################################################"+ "'", str3.equals("################################################hi!################################################"));

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test216"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripStart("hi1a0!", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a0!"+ "'", str2.equals("1a0!"));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test217"); }


    int i2 = org.apache.commons.lang3.math.NumberUtils.toInt("1a100", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test218"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.right("-1 0 0", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1 0 0"+ "'", str2.equals("-1 0 0"));

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test219"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number1 = org.apache.commons.lang3.math.NumberUtils.createNumber("################################################1a#################################################");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test220"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replacePattern("hi1a0!", "1a01004-14", "100 -1 100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "hi1a0!"+ "'", str3.equals("hi1a0!"));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test221"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Integer i1 = org.apache.commons.lang3.math.NumberUtils.createInteger("################################################hi!#################################################");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test222"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("1a0!", "################################################hi!################################################", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1a0!"+ "'", str3.equals("1a0!"));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test223"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.repeat("1a", "100 -1 100", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test224"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.reverseDelimited("1a0!", '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a0!"+ "'", str2.equals("1a0!"));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test225"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("hia!", 10, "1a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1a1hia!1a1"+ "'", str3.equals("1a1hia!1a1"));

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test226"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"################################################hi!################################################", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test227"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("-1.0#1.0#10.0", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1.0#1.0#10.0"+ "'", str2.equals("-1.0#1.0#10.0"));

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test228"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.uncapitalize("1a01004-14");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1a01004-14"+ "'", str1.equals("1a01004-14"));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test229"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.lang.String str3 = org.apache.commons.lang3.StringUtils.getCommonPrefix(str_array2);
    int i4 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"1a0!", (java.lang.CharSequence[])str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test230"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceOnce("100 -1 10", "", " a4a#");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "100 -1 10"+ "'", str3.equals("100 -1 10"));

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test231"); }


    java.lang.CharSequence charSequence0 = null;
    int i2 = org.apache.commons.lang3.StringUtils.countMatches(charSequence0, (java.lang.CharSequence)"100 -1 100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test232"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.chomp("################################################1a#################################################", "-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "################################################1a#################################################"+ "'", str2.equals("################################################1a#################################################"));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test233"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotBlank((java.lang.CharSequence)"-1 0 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test234"); }


    long long2 = org.apache.commons.lang3.math.NumberUtils.toLong("100 -1 10", 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test235"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substringBetween("1a0", "", "-1 0 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test236"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"1a0", (java.lang.CharSequence)"################################################hi!################################################", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test237"); }


    double[] d_array3 = new double[] { 0.0d, 100.0d, 1.0d };
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(d_array3, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "0.0a100.0a1.0"+ "'", str5.equals("0.0a100.0a1.0"));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test238"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBeforeLast("100 -1 100", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "100 -1 100"+ "'", str2.equals("100 -1 100"));

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test239"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceOnce("1a", "################################################hi!################################################", "hi1a0!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1a"+ "'", str3.equals("1a"));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test240"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.max(0, (-1), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test241"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.upperCase("1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1004-14100"+ "'", str1.equals("1004-14100"));

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test242"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Integer i1 = org.apache.commons.lang3.math.NumberUtils.createInteger("1a01004-14");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test243"); }


    float f3 = org.apache.commons.lang3.math.NumberUtils.min(100.0f, 100.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 100.0f);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test244"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat("0.0a100.0a1.0", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0.0a100.0a1.0"+ "'", str2.equals("0.0a100.0a1.0"));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test245"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("#################################################################################################", "-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "#################################################################################################"+ "'", str2.equals("#################################################################################################"));

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test246"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("100 -1 10", 1, "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "100 -1 10"+ "'", str3.equals("100 -1 10"));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test247"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfEmpty((java.lang.CharSequence)"1a100", (java.lang.CharSequence)"1004-14100h1004-14100i1004-14100a1004-14100!1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "1a100"+ "'", charSequence2.equals("1a100"));

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test248"); }


    short[] s_array3 = new short[] { (short)100, (short)0, (short)100 };
    short s4 = org.apache.commons.lang3.math.NumberUtils.min(s_array3);
    java.lang.String str8 = org.apache.commons.lang3.StringUtils.join(s_array3, 'a', 100, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s4 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test249"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"", (java.lang.CharSequence)"1a1hia!1a1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test250"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal1 = org.apache.commons.lang3.math.NumberUtils.createBigDecimal("1004-14100h1004-14100i1004-14100a1004-14100!1004-14100");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test251"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("1a", (-1), "1a01004-14");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1a"+ "'", str3.equals("1a"));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test252"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"1004-1410", (java.lang.CharSequence)"hia!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test253"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.deleteWhitespace("1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1a100"+ "'", str1.equals("1a100"));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test254"); }


    java.lang.CharSequence charSequence0 = null;
    int i2 = org.apache.commons.lang3.StringUtils.indexOf(charSequence0, (java.lang.CharSequence)"1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test255"); }


    java.lang.Object[] obj_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(obj_array0, "#################################################################################################", 100, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test256"); }


    double[] d_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(d_array0, '#', 0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test257"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.split("################################################1a#################################################", "1a0!", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test258"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal1 = org.apache.commons.lang3.math.NumberUtils.createBigDecimal("1004-1410");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test259"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.lowerCase("0.0a100.0a1.0", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test260"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("1a0!", 10, "################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1a0!######"+ "'", str3.equals("1a0!######"));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test261"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.repeat("hia!", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hia!"+ "'", str2.equals("hia!"));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test262"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStart("1a01004-14", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a01004-14"+ "'", str2.equals("1a01004-14"));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test263"); }


    float f2 = org.apache.commons.lang3.math.NumberUtils.toFloat("1004-14100", 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test264"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBetween("1a1hia!1a1", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test265"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"################################################hi!#################################################", (java.lang.CharSequence)"1004-14100h1004-14100i1004-14100a1004-14100!1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test266"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.strip("hi!", "#################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi!"+ "'", str2.equals("hi!"));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test267"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"-1 0 0", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test268"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty("hi1a0!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hi1a0!"+ "'", str1.equals("hi1a0!"));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test269"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("1a", ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a"+ "'", str2.equals("1a"));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test270"); }


    long long3 = org.apache.commons.lang3.math.NumberUtils.max(10L, 100L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 100L);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test271"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitByWholeSeparator("", "-1 0 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test272"); }


    double[] d_array0 = null;
    java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(d_array0, ' ', 10, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str4);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test273"); }


    int i2 = org.apache.commons.lang3.StringUtils.countMatches((java.lang.CharSequence)"#################################################################################################", (java.lang.CharSequence)"hia!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test274"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.containsWhitespace((java.lang.CharSequence)"100 -1 10");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test275"); }


    char[] char_array1 = new char[] {  };
    int i2 = org.apache.commons.lang3.StringUtils.indexOfAnyBut((java.lang.CharSequence)"hi1a0!", char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test276"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"-1.0#1.0#10.0", (java.lang.CharSequence)"1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test277"); }


    int i2 = org.apache.commons.lang3.math.NumberUtils.toInt("hi!", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test278"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.leftPad("1a0", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "       1a0"+ "'", str2.equals("       1a0"));

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test279"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumeric((java.lang.CharSequence)"-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test280"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripEnd("1a100", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a100"+ "'", str2.equals("1a100"));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test281"); }


    int[] i_array3 = new int[] { 100, (-1), 100 };
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(i_array3, '4');
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(i_array3, ' ');
    int i8 = org.apache.commons.lang3.math.NumberUtils.max(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1004-14100"+ "'", str5.equals("1004-14100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "100 -1 100"+ "'", str7.equals("100 -1 100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test282"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.swapCase(" a4a#");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + " A4A#"+ "'", str1.equals(" A4A#"));

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test283"); }


    short[] s_array2 = new short[] { (short)1, (short)100 };
    short s3 = org.apache.commons.lang3.math.NumberUtils.min(s_array2);
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(s_array2, 'a');
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(s_array2, 'a', 100, 1);
    short s10 = org.apache.commons.lang3.math.NumberUtils.min(s_array2);
    short s11 = org.apache.commons.lang3.math.NumberUtils.min(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1a100"+ "'", str5.equals("1a100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s10 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s11 == (short)1);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test284"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("1a0!######", "1a1hia!1a1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a0!######"+ "'", str2.equals("1a0!######"));

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test285"); }


    int i1 = org.apache.commons.lang3.math.NumberUtils.toInt(" a4a#");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test286"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("1a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test287"); }


    int[] i_array3 = new int[] { (-1), 0, 0 };
    int i4 = org.apache.commons.lang3.math.NumberUtils.max(i_array3);
    java.lang.String str6 = org.apache.commons.lang3.StringUtils.join(i_array3, ' ');
    java.lang.String str8 = org.apache.commons.lang3.StringUtils.join(i_array3, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "-1 0 0"+ "'", str6.equals("-1 0 0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "-1 0 0"+ "'", str8.equals("-1 0 0"));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test288"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("#################################################################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "#################################################################################################"+ "'", str1.equals("#################################################################################################"));

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test289"); }


    char[] char_array3 = new char[] { ' ' };
    boolean b4 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"", char_array3);
    boolean b5 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"1a0!", char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test290"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.split("hi!", "100 -1 10", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test291"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substring("0.0a100.0a1.0", 0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0.0a100.0a"+ "'", str3.equals("0.0a100.0a"));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test292"); }


    java.util.Iterator iterator0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterator0, "       1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test293"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("1a0", '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a0"+ "'", str2.equals("1a0"));

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test294"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.mid("1004-14100h1004-14100i1004-14100a1004-14100!1004-14100", 10, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test295"); }


    long[] long_array2 = new long[] { 0L, 0L };
    long long3 = org.apache.commons.lang3.math.NumberUtils.max(long_array2);
    long long4 = org.apache.commons.lang3.math.NumberUtils.max(long_array2);
    long long5 = org.apache.commons.lang3.math.NumberUtils.max(long_array2);
    long long6 = org.apache.commons.lang3.math.NumberUtils.min(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test296"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"1a1hia!1a1", (java.lang.CharSequence)" a4a#", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test297"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("1004-14100h1004-14100i1004-14100a1004-14100!1004-14100", 100, "1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1004-14101004-14101004-1004-14100h1004-14100i1004-14100a1004-14100!1004-141001004-14101004-14101004-"+ "'", str3.equals("1004-14101004-14101004-1004-14100h1004-14100i1004-14100a1004-14100!1004-141001004-14101004-14101004-"));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test298"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.lang.String str3 = org.apache.commons.lang3.StringUtils.getCommonPrefix(str_array2);
    boolean b4 = org.apache.commons.lang3.StringUtils.endsWithAny((java.lang.CharSequence)"0.0a100.0a", (java.lang.CharSequence[])str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test299"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfEmpty((java.lang.CharSequence)"1a1hia!1a1", (java.lang.CharSequence)"hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "1a1hia!1a1"+ "'", charSequence2.equals("1a1hia!1a1"));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test300"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBetween("1a0", "hi1a0!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test301"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal1 = org.apache.commons.lang3.math.NumberUtils.createBigDecimal("################################################1a#################################################");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test302"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"0.0a100.0a1.0", (java.lang.CharSequence)"1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test303"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger1 = org.apache.commons.lang3.math.NumberUtils.createBigInteger("-1.0#1.0#10.0");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test304"); }


    java.lang.Iterable iterable0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterable0, "1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test305"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.split("", "################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test306"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastOrdinalIndexOf((java.lang.CharSequence)"hi!", (java.lang.CharSequence)" A4A#", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test307"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.endsWith((java.lang.CharSequence)"1a0", (java.lang.CharSequence)"1a0!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test308"); }


    int i2 = org.apache.commons.lang3.StringUtils.countMatches((java.lang.CharSequence)"       1a0", (java.lang.CharSequence)"");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test309"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.repeat("0.0a100.0a", " a4a#", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test310"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWith((java.lang.CharSequence)"1a0!######", (java.lang.CharSequence)"hi1a0!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test311"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.leftPad("hi1a0!", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "    hi1a0!"+ "'", str2.equals("    hi1a0!"));

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test312"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.split("1a0", '#');
    java.lang.String[] str_array5 = org.apache.commons.lang3.StringUtils.splitByCharacterTypeCamelCase("hi!");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = org.apache.commons.lang3.StringUtils.replaceEach("################################################1a#################################################", str_array3, str_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array5);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test313"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWithIgnoreCase((java.lang.CharSequence)"-1.0#1.0#10.0", (java.lang.CharSequence)"hi1a0!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test314"); }


    char[] char_array4 = new char[] { ' ' };
    boolean b5 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"", char_array4);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(char_array4, ' ');
    boolean b8 = org.apache.commons.lang3.StringUtils.containsNone((java.lang.CharSequence)"hi!", char_array4);
    boolean b9 = org.apache.commons.lang3.StringUtils.containsNone((java.lang.CharSequence)"1004-14101004-14101004-1004-14100h1004-14100i1004-14100a1004-14100!1004-141001004-14101004-14101004-", char_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + " "+ "'", str7.equals(" "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test315"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWith((java.lang.CharSequence)"0.0a100.0a1.0", (java.lang.CharSequence)"-1 0 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test316"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastOrdinalIndexOf((java.lang.CharSequence)"hia!", (java.lang.CharSequence)" A4A#", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test317"); }


    java.lang.String[] str_array4 = org.apache.commons.lang3.StringUtils.split("hi!", "", 10);
    boolean b5 = org.apache.commons.lang3.StringUtils.startsWithAny((java.lang.CharSequence)"1004-14100", (java.lang.CharSequence[])str_array4);
    java.lang.String[] str_array6 = org.apache.commons.lang3.StringUtils.stripAll(str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array6);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test318"); }


    java.lang.CharSequence charSequence0 = null;
    int i2 = org.apache.commons.lang3.StringUtils.indexOf(charSequence0, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test319"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllUpperCase((java.lang.CharSequence)"0.0a100.0a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test320"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"#################################################################################################", (java.lang.CharSequence)"hia!", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test321"); }


    byte[] byte_array2 = new byte[] { (byte)100, (byte)(-1) };
    byte byte3 = org.apache.commons.lang3.math.NumberUtils.min(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)(-1));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test322"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("hia!", (-1), '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "hia!"+ "'", str3.equals("hia!"));

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test323"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"1004-14101004-14101004-1004-14100h1004-14100i1004-14100a1004-14100!1004-141001004-14101004-14101004-", (java.lang.CharSequence)"1a0!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test324"); }


    double d1 = org.apache.commons.lang3.math.NumberUtils.toDouble("0.0a100.0a1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test325"); }


    long[] long_array2 = new long[] { 0L, 0L };
    long long3 = org.apache.commons.lang3.math.NumberUtils.max(long_array2);
    long long4 = org.apache.commons.lang3.math.NumberUtils.max(long_array2);
    long long5 = org.apache.commons.lang3.math.NumberUtils.max(long_array2);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(long_array2, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "0a0"+ "'", str7.equals("0a0"));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test326"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isBlank((java.lang.CharSequence)"100 -1 100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test327"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"100 -1 10", (java.lang.CharSequence)"-1 0 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test328"); }


    java.lang.String str4 = org.apache.commons.lang3.StringUtils.replace("1a01004-14", "1a100", "hia!", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "1a01004-14"+ "'", str4.equals("1a01004-14"));

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test329"); }


    short[] s_array2 = new short[] { (short)1, (short)100 };
    short s3 = org.apache.commons.lang3.math.NumberUtils.min(s_array2);
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(s_array2, 'a');
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(s_array2, 'a', 100, 1);
    short s10 = org.apache.commons.lang3.math.NumberUtils.max(s_array2);
    java.lang.String str14 = org.apache.commons.lang3.StringUtils.join(s_array2, '4', 0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1a100"+ "'", str5.equals("1a100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s10 == (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test330"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chop("0a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0a"+ "'", str1.equals("0a"));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test331"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("    hi1a0!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "!0a1ih    "+ "'", str1.equals("!0a1ih    "));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test332"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.split("hia!", "-1.0#1.0#10.0");
    int i4 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"0.0a100.0a", (java.lang.CharSequence[])str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test333"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllLowerCase((java.lang.CharSequence)"!0a1ih    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test334"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotEmpty((java.lang.CharSequence)"0.0a100.0a1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test335"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfBlank((java.lang.CharSequence)"-1.0a1.0a10.0", (java.lang.CharSequence)"-1.0a1.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "-1.0a1.0a10.0"+ "'", charSequence2.equals("-1.0a1.0a10.0"));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test336"); }


    int i3 = org.apache.commons.lang3.StringUtils.ordinalIndexOf((java.lang.CharSequence)"!0a1ih    ", (java.lang.CharSequence)"################################################hi!################################################", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test337"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"hi1a0!", 10, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test338"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isBlank((java.lang.CharSequence)"################################################hi!################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test339"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripEnd("", "1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test340"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.defaultString("-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "-1.0#1.0#10.0"+ "'", str1.equals("-1.0#1.0#10.0"));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test341"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("hia!", "0a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hia!"+ "'", str2.equals("hia!"));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test342"); }


    byte byte1 = org.apache.commons.lang3.math.NumberUtils.toByte("-1.0a1.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test343"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("", 1, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "a"+ "'", str3.equals("a"));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test344"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToNull("100 -1 10");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "100 -1 10"+ "'", str1.equals("100 -1 10"));

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test345"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"100 -1 10", (java.lang.CharSequence)"       1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test346"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substring("1004-14100h1004-14100i1004-14100a1004-14100!1004-14100", 0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1004-14100"+ "'", str3.equals("1004-14100"));

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test347"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.center("1004-14100h1004-14100i1004-14100a1004-14100!1004-14100", (-1), "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1004-14100h1004-14100i1004-14100a1004-14100!1004-14100"+ "'", str3.equals("1004-14100h1004-14100i1004-14100a1004-14100!1004-14100"));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test348"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.split("0a0", "1a01004-14", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test349"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripAccents("1a1hia!1a1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1a1hia!1a1"+ "'", str1.equals("1a1hia!1a1"));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test350"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase(charSequence0, (java.lang.CharSequence)"################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test351"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.center("1a01004-14", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a01004-14"+ "'", str2.equals("1a01004-14"));

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test352"); }


    byte[] byte_array1 = new byte[] { (byte)0 };
    byte byte2 = org.apache.commons.lang3.math.NumberUtils.max(byte_array1);
    byte byte3 = org.apache.commons.lang3.math.NumberUtils.min(byte_array1);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(byte_array1, ' ', 100, 1);
    byte byte8 = org.apache.commons.lang3.math.NumberUtils.max(byte_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = org.apache.commons.lang3.StringUtils.toString(byte_array1, "hia!");
      org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException");
    } catch (java.io.UnsupportedEncodingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.UnsupportedEncodingException")) {
        org.junit.Assert.fail("Expected exception of type java.io.UnsupportedEncodingException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte8 == (byte)0);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test353"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)" a4a#", (java.lang.CharSequence)"0a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test354"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("", 0, "!0a1ih    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test355"); }


    double[] d_array3 = new double[] { (-1.0d), 1.0d, 10.0d };
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(d_array3, '#');
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(d_array3, ' ', 1, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "-1.0#1.0#10.0"+ "'", str5.equals("-1.0#1.0#10.0"));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test356"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.strip("hia!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hia!"+ "'", str1.equals("hia!"));

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test357"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("1004-14100", "", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1004-14100"+ "'", str3.equals("1004-14100"));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test358"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumericSpace((java.lang.CharSequence)"1a100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test359"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removePattern("100 -1 100", "hia!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "100 -1 100"+ "'", str2.equals("100 -1 100"));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test360"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"#################################################################################################", (java.lang.CharSequence)"1a100", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test361"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.defaultString("    hi1a0!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "    hi1a0!"+ "'", str1.equals("    hi1a0!"));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test362"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"################################################1a#################################################", (java.lang.CharSequence)"1004-14101004-14101004-1004-14100h1004-14100i1004-14100a1004-14100!1004-141001004-14101004-14101004-");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test363"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"1004-1410", (java.lang.CharSequence)"hia!", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test364"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitPreserveAllTokens("-1.0a1.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test365"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBefore("", "0.0a100.0a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test366"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number1 = org.apache.commons.lang3.math.NumberUtils.createNumber("################################################hi!################################################");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test367"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substring("hi1a0!", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "!"+ "'", str2.equals("!"));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test368"); }


    java.lang.CharSequence[] charSequence_array2 = new java.lang.CharSequence[] { "hi!" };
    boolean b3 = org.apache.commons.lang3.StringUtils.startsWithAny((java.lang.CharSequence)"1a", charSequence_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequence_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test369"); }


    short s1 = org.apache.commons.lang3.math.NumberUtils.toShort("################################################1a#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test370"); }


    java.lang.CharSequence charSequence1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"hia!", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test371"); }


    float f1 = org.apache.commons.lang3.math.NumberUtils.toFloat("100 -1 100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test372"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.max(100.0d, (-1.0d), 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 100.0d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test373"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsNone((java.lang.CharSequence)"1a0!######", " a4a#");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test374"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.right("################################################hi!#################################################", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "#"+ "'", str2.equals("#"));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test375"); }


    java.lang.Iterable iterable0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterable0, "0a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test376"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotBlank((java.lang.CharSequence)"       1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test377"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastOrdinalIndexOf((java.lang.CharSequence)"0a", (java.lang.CharSequence)"################################################hi!################################################", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test378"); }


    java.lang.CharSequence charSequence0 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(charSequence0, (java.lang.CharSequence)"1a1hia!1a1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test379"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWithIgnoreCase((java.lang.CharSequence)"0a", (java.lang.CharSequence)"1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test380"); }


    float[] f_array1 = new float[] { 100.0f };
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(f_array1, ' ', 10, 10);
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(f_array1, '#', 0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test381"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("1004-1410", "1004-1410");
    java.lang.String[] str_array4 = org.apache.commons.lang3.StringUtils.stripAll(str_array2, "    hi1a0!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array4);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test382"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"!0a1ih    ", (java.lang.CharSequence)" a4a#", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test383"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitPreserveAllTokens("-1.0#1.0#10.0", "################################################hi!#################################################");
    java.lang.String str6 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array2, "", 100, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test384"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.leftPad("0.0a100.0a1.0", 100, "0a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00.0a100.0a1.0"+ "'", str3.equals("0a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00.0a100.0a1.0"));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test385"); }


    short s3 = org.apache.commons.lang3.math.NumberUtils.max((short)(-1), (short)10, (short)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)10);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test386"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("    hi1a0!", '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "    hi1a0!"+ "'", str2.equals("    hi1a0!"));

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test387"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.uncapitalize(" a4a#");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + " a4a#"+ "'", str1.equals(" a4a#"));

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test388"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isBlank((java.lang.CharSequence)"0.0a100.0a1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test389"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "1a100" };
    java.lang.String[] str_array6 = org.apache.commons.lang3.StringUtils.splitByWholeSeparator("hi!", "", 0);
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.replaceEachRepeatedly("1004-1410", str_array2, str_array6);
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array2, "hi1a0!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "1004-1410"+ "'", str7.equals("1004-1410"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "1a100"+ "'", str9.equals("1a100"));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test390"); }


    int i2 = org.apache.commons.lang3.math.NumberUtils.toInt("1a100", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test391"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("-1 0 0", "1004-14100h1004-14100i1004-14100a1004-14100!1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1 0 0"+ "'", str2.equals("-1 0 0"));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test392"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trimToEmpty("0.0a100.0a1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0.0a100.0a1.0"+ "'", str1.equals("0.0a100.0a1.0"));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test393"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlpha((java.lang.CharSequence)"100 -1 10");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test394"); }


    double[] d_array3 = new double[] { (-1.0d), 1.0d, 10.0d };
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(d_array3, '#');
    double d6 = org.apache.commons.lang3.math.NumberUtils.max(d_array3);
    double d7 = org.apache.commons.lang3.math.NumberUtils.min(d_array3);
    double d8 = org.apache.commons.lang3.math.NumberUtils.max(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "-1.0#1.0#10.0"+ "'", str5.equals("-1.0#1.0#10.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 10.0d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test395"); }


    int i2 = org.apache.commons.lang3.math.NumberUtils.toInt("1a0!######", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test396"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.defaultString("-1.0a1.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "-1.0a1.0a10.0"+ "'", str1.equals("-1.0a1.0a10.0"));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test397"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "hi!" };
    java.lang.String[] str_array4 = org.apache.commons.lang3.StringUtils.stripAll(str_array2, "#################################################################################################");
    int i5 = org.apache.commons.lang3.StringUtils.lastIndexOfAny((java.lang.CharSequence)"-1 0 0", (java.lang.CharSequence[])str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test398"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal1 = org.apache.commons.lang3.math.NumberUtils.createBigDecimal("1a0!");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test399"); }


    java.lang.CharSequence charSequence2 = null;
    char[] char_array5 = new char[] { '#', 'a' };
    boolean b6 = org.apache.commons.lang3.StringUtils.containsOnly(charSequence2, char_array5);
    int i7 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"-1.0#1.0#10.0", char_array5);
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(char_array5, '#');
    java.lang.String str13 = org.apache.commons.lang3.StringUtils.join(char_array5, 'a', 10, 0);
    boolean b14 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"0a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00.0a100.0a1.0", char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "##a"+ "'", str9.equals("##a"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test400"); }


    int i2 = org.apache.commons.lang3.StringUtils.countMatches((java.lang.CharSequence)"1a0", (java.lang.CharSequence)"0.0a100.0a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test401"); }


    float f1 = org.apache.commons.lang3.math.NumberUtils.toFloat("1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test402"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllLowerCase((java.lang.CharSequence)"0a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00.0a100.0a1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test403"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.mid("0a0", (-1), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0a0"+ "'", str3.equals("0a0"));

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test404"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chop("0.0a100.0a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0.0a100.0"+ "'", str1.equals("0.0a100.0"));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test405"); }


    byte byte1 = org.apache.commons.lang3.math.NumberUtils.toByte("-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test406"); }


    short s1 = org.apache.commons.lang3.math.NumberUtils.toShort("0.0a100.0a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test407"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger1 = org.apache.commons.lang3.math.NumberUtils.createBigInteger("################################################1a#################################################");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test408"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNotBlank((java.lang.CharSequence)"1a01004-14");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test409"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.leftPad("1a", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "        1a"+ "'", str2.equals("        1a"));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test410"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isNumericSpace((java.lang.CharSequence)"1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test411"); }


    java.lang.String[] str_array4 = org.apache.commons.lang3.StringUtils.split("hi!", '#');
    int i5 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"1004-1410", (java.lang.CharSequence[])str_array4);
    int i6 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"100 -1 10", (java.lang.CharSequence[])str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test412"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"!0a1ih    ", (java.lang.CharSequence)"#################################################################################################", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test413"); }


    int i3 = org.apache.commons.lang3.StringUtils.lastIndexOfIgnoreCase((java.lang.CharSequence)"################################################hi!################################################", (java.lang.CharSequence)"1004-14100h1004-14100i1004-14100a1004-14100!1004-14100", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test414"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.chomp("1a0!", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a0!"+ "'", str2.equals("1a0!"));

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test415"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.splitPreserveAllTokens("-1.0#1.0#10.0", "################################################hi!#################################################");
    java.lang.String str6 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array2, "", 100, 1);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { str6 };
    java.lang.String str8 = org.apache.commons.lang3.StringUtils.join(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test416"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.substringBetween(" a4a#", "       1a0", "0a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str3);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test417"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("        1a", "1a1hia!1a1", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "        1a"+ "'", str3.equals("        1a"));

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test418"); }


    java.lang.CharSequence charSequence2 = org.apache.commons.lang3.StringUtils.<java.lang.CharSequence>defaultIfEmpty((java.lang.CharSequence)"100 -1 100", (java.lang.CharSequence)"-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + charSequence2 + "' != '" + "100 -1 100"+ "'", charSequence2.equals("100 -1 100"));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test419"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.abbreviate("################################################hi!################################################", 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test420"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Long long1 = org.apache.commons.lang3.math.NumberUtils.createLong("1a0!");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test421"); }


    java.lang.String[] str_array4 = org.apache.commons.lang3.StringUtils.split("hi!", '#');
    boolean b5 = org.apache.commons.lang3.StringUtils.startsWithAny((java.lang.CharSequence)"1a01004-14", (java.lang.CharSequence[])str_array4);
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array4, "1004-14100h1004-14100i1004-14100a1004-14100!1004-14100", 0, 1);
    boolean b10 = org.apache.commons.lang3.StringUtils.startsWithAny((java.lang.CharSequence)" a4a#", (java.lang.CharSequence[])str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test422"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse("       1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0a1       "+ "'", str1.equals("0a1       "));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test423"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripStart("", "1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test424"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAlphanumericSpace((java.lang.CharSequence)"hia!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test425"); }


    float f1 = org.apache.commons.lang3.math.NumberUtils.toFloat("!0a1ih    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test426"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"hi!", (java.lang.CharSequence)"0.0a100.0a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test427"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trimToEmpty("0.0a100.0a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0.0a100.0a"+ "'", str1.equals("0.0a100.0a"));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test428"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isAllLowerCase((java.lang.CharSequence)"1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test429"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringAfterLast("0a1       ", "hia!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test430"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("hi!", "0a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00.0a100.0a1.0", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "hi!"+ "'", str3.equals("hi!"));

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test431"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"100 -1 10", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test432"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"0.0a100.0a", 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test433"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.difference("################################################hi!#################################################", "1a0!######");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a0!######"+ "'", str2.equals("1a0!######"));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test434"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.rightPad("hi1a0!", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "hi1a0!"+ "'", str2.equals("hi1a0!"));

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test435"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripEnd("", "!0a1ih    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test436"); }


    float[] f_array0 = new float[] {  };
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = org.apache.commons.lang3.StringUtils.join(f_array0, 'a', 0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test437"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.startsWith((java.lang.CharSequence)"hia!", (java.lang.CharSequence)"1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test438"); }


    java.util.Iterator iterator0 = null;
    java.lang.String str2 = org.apache.commons.lang3.StringUtils.join(iterator0, "!0a1ih    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test439"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("-1 0 0", 100, "-1.0a1.0a10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "-1 0 0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1."+ "'", str3.equals("-1 0 0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1."));

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test440"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.swapCase("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "HI!"+ "'", str1.equals("HI!"));

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test441"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfAny((java.lang.CharSequence)"100 -1 100", "hia!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test442"); }


    int[] i_array3 = new int[] { 100, (-1), 100 };
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(i_array3, '4');
    java.lang.String str7 = org.apache.commons.lang3.StringUtils.join(i_array3, '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1004-14100"+ "'", str5.equals("1004-14100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "100#-1#100"+ "'", str7.equals("100#-1#100"));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test443"); }


    short s1 = org.apache.commons.lang3.math.NumberUtils.toShort("1004-1410");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s1 == (short)0);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test444"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.reverse(" A4A#");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "#A4A "+ "'", str1.equals("#A4A "));

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test445"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trimToEmpty("-1.0#1.0#10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "-1.0#1.0#10.0"+ "'", str1.equals("-1.0#1.0#10.0"));

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test446"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"0a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00a00.0a100.0a1.0", (java.lang.CharSequence)"1a0!######", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test447"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.stripEnd("1004-1410", "-1 0 0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1004-14"+ "'", str2.equals("1004-14"));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test448"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isWhitespace((java.lang.CharSequence)"################################################hi!#################################################");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test449"); }


    java.lang.CharSequence charSequence1 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"-1 0 0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.", charSequence1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test450"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.trim("1004-14100h1004-14100i1004-14100a1004-14100!1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1004-14100h1004-14100i1004-14100a1004-14100!1004-14100"+ "'", str1.equals("1004-14100h1004-14100i1004-14100a1004-14100!1004-14100"));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test451"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.mid("-1.0#1.0#10.0", 0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "-1.0#1.0#1"+ "'", str3.equals("-1.0#1.0#1"));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test452"); }


    float f2 = org.apache.commons.lang3.math.NumberUtils.toFloat("0.0a100.0a1.0", 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test453"); }


    int i2 = org.apache.commons.lang3.math.NumberUtils.toInt("0.0a100.0a1.0", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test454"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.remove("        1a", 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "        1"+ "'", str2.equals("        1"));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test455"); }


    java.lang.String[] str_array2 = org.apache.commons.lang3.StringUtils.split("################################################hi!#################################################", 'a');
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = org.apache.commons.lang3.StringUtils.join((java.lang.Object[])str_array2, "1a", 1, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test456"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.normalizeSpace("!0a1ih    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "!0a1ih"+ "'", str1.equals("!0a1ih"));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test457"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"-1 0 0", (java.lang.CharSequence)"        1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test458"); }


    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger1 = org.apache.commons.lang3.math.NumberUtils.createBigInteger("0a0");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test459"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"-1 0 0", (-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test460"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.apache.commons.lang3.StringUtils.abbreviate("100 -1 100", 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test461"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"hi1a0!", (java.lang.CharSequence)"1a01004-14", 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test462"); }


    boolean b1 = org.apache.commons.lang3.StringUtils.isWhitespace((java.lang.CharSequence)"!0a1ih");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test463"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.lowerCase("0.0a100.0a1.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0.0a100.0a1.0"+ "'", str1.equals("0.0a100.0a1.0"));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test464"); }


    int i3 = org.apache.commons.lang3.StringUtils.ordinalIndexOf((java.lang.CharSequence)"-1.0#1.0#1", (java.lang.CharSequence)"0.0a100.0a1.0", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test465"); }


    int i2 = org.apache.commons.lang3.StringUtils.indexOfIgnoreCase((java.lang.CharSequence)"1004-1410", (java.lang.CharSequence)"1a0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test466"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong(" a4a#");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test467"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.rightPad(" A4A#", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + " A4A#     "+ "'", str2.equals(" A4A#     "));

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test468"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Integer i1 = org.apache.commons.lang3.math.NumberUtils.createInteger("0a1       ");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test469"); }


    int i3 = org.apache.commons.lang3.StringUtils.indexOf((java.lang.CharSequence)"!0a1ih", 1, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test470"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviate("100 -1 10", 10, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test471"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceChars("################################################hi!################################################", 'a', 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "################################################hi!################################################"+ "'", str3.equals("################################################hi!################################################"));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test472"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removePattern("-1 0 0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.", "0.0a100.0a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1 0 0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1."+ "'", str2.equals("-1 0 0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1."));

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test473"); }


    java.lang.String[] str_array1 = org.apache.commons.lang3.StringUtils.splitByCharacterTypeCamelCase("!0a1ih    ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test474"); }


    short[] s_array2 = new short[] { (short)1, (short)100 };
    short s3 = org.apache.commons.lang3.math.NumberUtils.min(s_array2);
    java.lang.String str5 = org.apache.commons.lang3.StringUtils.join(s_array2, 'a');
    java.lang.String str9 = org.apache.commons.lang3.StringUtils.join(s_array2, 'a', 100, 1);
    java.lang.String str11 = org.apache.commons.lang3.StringUtils.join(s_array2, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1a100"+ "'", str5.equals("1a100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1a100"+ "'", str11.equals("1a100"));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test475"); }


    java.lang.String[] str_array3 = org.apache.commons.lang3.StringUtils.splitByWholeSeparatorPreserveAllTokens("################################################hi!################################################", "");
    int i4 = org.apache.commons.lang3.StringUtils.lastIndexOfAny((java.lang.CharSequence)"#################################################################################################", (java.lang.CharSequence[])str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test476"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.stripToEmpty("0.0a100.0a");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0.0a100.0a"+ "'", str1.equals("0.0a100.0a"));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test477"); }


    double d3 = org.apache.commons.lang3.math.NumberUtils.min((-1.0d), 0.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0d));

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test478"); }


    float f1 = org.apache.commons.lang3.math.NumberUtils.toFloat("-1 0 0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test479"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBetween("", "0a1       ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test480"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.abbreviateMiddle("################################################1a#################################################", "0a0", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "####0a0###"+ "'", str3.equals("####0a0###"));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test481"); }


    java.lang.CharSequence charSequence1 = null;
    boolean b2 = org.apache.commons.lang3.StringUtils.contains((java.lang.CharSequence)"    hi1a0!", charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test482"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replaceOnce("#################################################################################################", "100 -1 10", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "#################################################################################################"+ "'", str3.equals("#################################################################################################"));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test483"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsOnly((java.lang.CharSequence)"-1 0 0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.0a1.0a10.0-1.", "0.0a100.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test484"); }


    int i3 = org.apache.commons.lang3.math.NumberUtils.max(10, 100, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test485"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Float f1 = org.apache.commons.lang3.math.NumberUtils.createFloat("1a100");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test486"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.lowerCase("1004-14100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1004-14100"+ "'", str1.equals("1004-14100"));

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test487"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.substringBetween("#A4A ", "-1 0 0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test488"); }


    boolean b1 = org.apache.commons.lang3.math.NumberUtils.isNumber("1a0!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test489"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.replace("0a1       ", "################################################hi!################################################", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0a1       "+ "'", str3.equals("0a1       "));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test490"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.rightPad("1a", (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1a"+ "'", str2.equals("1a"));

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test491"); }


    int i2 = org.apache.commons.lang3.StringUtils.lastIndexOf((java.lang.CharSequence)"1a", (java.lang.CharSequence)"####0a0###");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test492"); }


    int i3 = org.apache.commons.lang3.StringUtils.getLevenshteinDistance((java.lang.CharSequence)"1004-14100h1004-14100i1004-14100a1004-14100!1004-14100", (java.lang.CharSequence)"", 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test493"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.repeat("################################################hi!################################################", "0.0a100.0a1.0", 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################"+ "'", str3.equals("################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################0.0a100.0a1.0################################################hi!################################################"));

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test494"); }


    java.lang.String str2 = org.apache.commons.lang3.StringUtils.removeStart("0.0a100.0a1.0", "hia!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0.0a100.0a1.0"+ "'", str2.equals("0.0a100.0a1.0"));

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test495"); }


    long long1 = org.apache.commons.lang3.math.NumberUtils.toLong("1004-14101004-14101004-1004-14100h1004-14100i1004-14100a1004-14100!1004-141001004-14101004-14101004-");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test496"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.capitalize(" A4A#     ");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + " A4A#     "+ "'", str1.equals(" A4A#     "));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test497"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.chop("100#-1#100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "100#-1#10"+ "'", str1.equals("100#-1#10"));

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test498"); }


    java.lang.String str3 = org.apache.commons.lang3.StringUtils.rightPad("-1.0#1.0#10.0", 100, '4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "-1.0#1.0#10.0444444444444444444444444444444444444444444444444444444444444444444444444444444444444444"+ "'", str3.equals("-1.0#1.0#10.0444444444444444444444444444444444444444444444444444444444444444444444444444444444444444"));

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test499"); }


    boolean b2 = org.apache.commons.lang3.StringUtils.containsIgnoreCase((java.lang.CharSequence)"-1.0#1.0#10.0444444444444444444444444444444444444444444444444444444444444444444444444444444444444444", (java.lang.CharSequence)"100 -1 100");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest102.test500"); }


    java.lang.String str1 = org.apache.commons.lang3.StringUtils.swapCase("1a0!######");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1A0!######"+ "'", str1.equals("1A0!######"));

  }

}
